function FindProxyForURL(url, host)
{
   // NetBIOS-names
   if (isPlainHostName(host)) {
      return "DIRECT";
   }

   // change to lower case, if not already been done
   var host = host.toLowerCase();

   // Access the internet directly for one site
   if (dnsDomainIs(host, "www.example.com")) {
      return "DIRECT";
   }

   // No proxy for private (RFC 1918) IP addresses (intranet sites)
   if (isInNet(dnsResolve(host), "10.0.0.0", "255.0.0.0") || isInNet(dnsResolve(host), "172.16.0.0", "255.240.0.0") || isInNet(dnsResolve(host), "192.168.0.0", "255.255.0.0")) {
      return "DIRECT";
   }

   // No proxy for localhost
   if (isInNet(dnsResolve(host), "127.0.0.0", "255.0.0.0") || shExpMatch(host, "*/localhost*" )) {
      return "DIRECT";
   }

   // Clean-up rule. Everything else uses a proxy. Note semi-colon delimiter between strings.
   // return "PROXY proxy1.example.com:8080; PROXY proxy2.example.com:8080; DIRECT";

   // if (shExpMatch(host, "127.0.0.1" )) {return "DIRECT";}
   // if (shExpMatch(host, "*/localhost*" )) {return "DIRECT";}
   // if (isInNet(host, "192.0.0.0", "255.0.0.0")) {return "DIRECT";}
   // if (isInNet(host, "10.0.0.0", "255.0.0.0")) {return "DIRECT";}

   // Dedicated proxy for a specific IP network
   // if (isInNet(myIpAddress(), "172.15.1.0", "255.255.255.0")) {return "PROXY prx2.woshub.com:8080";}
   // if (dnsDomainIs(host, "*.corp.woshub.com")) {return "DIRECT";}
   // // Local addresses to be accessed directly
   // if (shExpMatch(url,"http://*.woshub.com") || shExpMatch(url,"https://*.woshub.com") || shExpMatch(url,"ftp://*.woshub.com")) {return "DIRECT";}
   // // If the URL does not contain dots in the address, the client should access it directly.
   // if (isPlainHostName(host)) {return "DIRECT";}
   // if (shExpMatch(host,"bank.example.com")) {return "DIRECT";}
   // // Use a separate proxy server to access a specific wildcard domain
   // if (shExpMatch(url,"*.microsoft.com*")) {return "PROXY prx2.woshub.com:8080";}
   //a default proxy server address


   if (dnsDomainIs(host, "melawy.ru")||
      dnsDomainIs(host, "fadeeva.ru")||
      dnsDomainIs(host, "cloudflare-ech.com")||
      dnsDomainIs(host, "youtube.com")||
      dnsDomainIs(host, "youtu.be")||
      dnsDomainIs(host, "yt.be")||
      dnsDomainIs(host, "googlevideo.com")||
      dnsDomainIs(host, "ggpht.com")||
      dnsDomainIs(host, "ytimg.com")||
      dnsDomainIs(host, "gvt1.com")||
      dnsDomainIs(host, "youtube-nocookie.com")||
      dnsDomainIs(host, "youtube-ui.l.google.com")||
      dnsDomainIs(host, "youtubeembeddedplayer.googleapis.com")||
      dnsDomainIs(host, "youtube.googleapis.com")||
      dnsDomainIs(host, "youtubei.googleapis.com")||
      dnsDomainIs(host, "yt-video-upload.l.google.com")||
      dnsDomainIs(host, "wide-youtube.l.google.com")||
      dnsDomainIs(host, "studio.youtube.com")||
      dnsDomainIs(host, "discord-attachments-uploads-prd.storage.googleapis.com")||
      dnsDomainIs(host, "dis.gd")||
      dnsDomainIs(host, "discord.co")||
      dnsDomainIs(host, "discord.com")||
      dnsDomainIs(host, "discord.design")||
      dnsDomainIs(host, "discord.dev")||
      dnsDomainIs(host, "discord.gg")||
      dnsDomainIs(host, "discord.gift")||
      dnsDomainIs(host, "discord.gifts")||
      dnsDomainIs(host, "discord.media")||
      dnsDomainIs(host, "discord.new")||
      dnsDomainIs(host, "discord.store")||
      dnsDomainIs(host, "discord.tools")||
      dnsDomainIs(host, "discordapp.com")||
      dnsDomainIs(host, "discordapp.net")||
      dnsDomainIs(host, "discordmerch.com")||
      dnsDomainIs(host, "discordpartygames.com")||
      dnsDomainIs(host, "discord-activities.com")||
      dnsDomainIs(host, "discordactivities.com")||
      dnsDomainIs(host, "discordsays.com")||
      dnsDomainIs(host, "grammarly.com")||
      dnsDomainIs(host, "pm.me")||
      dnsDomainIs(host, "proton.me")||
      dnsDomainIs(host, "protonstatus.com")||
      dnsDomainIs(host, "gaytube.com")||
      dnsDomainIs(host, "phncdn.com")||
      dnsDomainIs(host, "phprcdn.com")||
      dnsDomainIs(host, "porngub.com")||
      dnsDomainIs(host, "pornhub-deutsch.net")||
      dnsDomainIs(host, "pornhubapparel.com")||
      dnsDomainIs(host, "pornhub.com")||
      dnsDomainIs(host, "pornhub.org")||
      dnsDomainIs(host, "pornhubpremium.com")||
      dnsDomainIs(host, "patreon.com")||
      dnsDomainIs(host, "patreoncommunity.com")||
      dnsDomainIs(host, "patreonusercontent.com")||
      dnsDomainIs(host, "7tv.app")||
      dnsDomainIs(host, "7tv.io")||
      dnsDomainIs(host, "betterttv.net")||
      dnsDomainIs(host, "frankerfacez.com"))
   {
      return "SOCKS5 127.0.0.1:9050; DIRECT";
   }

   if (shExpMatch(host, "5.200.14.249")||
      shExpMatch(host, "18.165.140.56")||
      shExpMatch(host, "18.165.140.98")||
      shExpMatch(host, "18.165.140.101")||
      shExpMatch(host, "18.165.140.123")||
      shExpMatch(host, "23.227.38.74")||
      shExpMatch(host, "34.0.48.0")||
      shExpMatch(host, "34.0.48.108")||
      shExpMatch(host, "34.0.48.184")||
      shExpMatch(host, "34.0.48.198")||
      shExpMatch(host, "34.0.48.223")||
      shExpMatch(host, "34.0.49.93")||
      shExpMatch(host, "34.0.49.127")||
      shExpMatch(host, "34.0.50.29")||
      shExpMatch(host, "34.0.50.124")||
      shExpMatch(host, "34.0.51.49")||
      shExpMatch(host, "34.0.51.67")||
      shExpMatch(host, "34.0.51.119")||
      shExpMatch(host, "34.0.51.216")||
      shExpMatch(host, "34.0.51.227")||
      shExpMatch(host, "34.0.51.231")||
      shExpMatch(host, "34.0.52.125")||
      shExpMatch(host, "34.0.52.198")||
      shExpMatch(host, "34.0.52.204")||
      shExpMatch(host, "34.0.52.253")||
      shExpMatch(host, "34.0.53.3")||
      shExpMatch(host, "34.0.53.64")||
      shExpMatch(host, "34.0.53.191")||
      shExpMatch(host, "34.0.54.35")||
      shExpMatch(host, "34.0.54.61")||
      shExpMatch(host, "34.0.54.137")||
      shExpMatch(host, "34.0.55.83")||
      shExpMatch(host, "34.0.55.176")||
      shExpMatch(host, "34.0.56.40")||
      shExpMatch(host, "34.0.56.43")||
      shExpMatch(host, "34.0.56.70")||
      shExpMatch(host, "34.0.56.146")||
      shExpMatch(host, "34.0.56.193")||
      shExpMatch(host, "34.0.57.83")||
      shExpMatch(host, "34.0.57.120")||
      shExpMatch(host, "34.0.57.156")||
      shExpMatch(host, "34.0.57.255")||
      shExpMatch(host, "34.0.59.14/31")||
      shExpMatch(host, "34.0.59.161")||
      shExpMatch(host, "34.0.59.180")||
      shExpMatch(host, "34.0.59.201")||
      shExpMatch(host, "34.0.59.217")||
      shExpMatch(host, "34.0.60.8")||
      shExpMatch(host, "34.0.60.88")||
      shExpMatch(host, "34.0.60.111")||
      shExpMatch(host, "34.0.60.118")||
      shExpMatch(host, "34.0.60.211")||
      shExpMatch(host, "34.0.62.171")||
      shExpMatch(host, "34.0.62.187")||
      shExpMatch(host, "34.0.62.202")||
      shExpMatch(host, "34.0.62.205")||
      shExpMatch(host, "34.0.63.228")||
      shExpMatch(host, "34.0.64.26")||
      shExpMatch(host, "34.0.64.32")||
      shExpMatch(host, "34.0.64.50")||
      shExpMatch(host, "34.0.64.52")||
      shExpMatch(host, "34.0.64.121")||
      shExpMatch(host, "34.0.64.194")||
      shExpMatch(host, "34.0.64.213")||
      shExpMatch(host, "34.0.64.221")||
      shExpMatch(host, "34.0.64.225")||
      shExpMatch(host, "34.0.64.255")||
      shExpMatch(host, "34.0.65.31")||
      shExpMatch(host, "34.0.65.103")||
      shExpMatch(host, "34.0.65.227")||
      shExpMatch(host, "34.0.66.130")||
      shExpMatch(host, "34.0.82.140")||
      shExpMatch(host, "34.0.129.181")||
      shExpMatch(host, "34.0.129.196")||
      shExpMatch(host, "34.0.130.70")||
      shExpMatch(host, "34.0.130.182")||
      shExpMatch(host, "34.0.130.226")||
      shExpMatch(host, "34.0.131.130")||
      shExpMatch(host, "34.0.132.139")||
      shExpMatch(host, "34.0.133.75")||
      shExpMatch(host, "34.0.134.61")||
      shExpMatch(host, "34.0.134.142")||
      shExpMatch(host, "34.0.135.251")||
      shExpMatch(host, "34.0.136.51")||
      shExpMatch(host, "34.0.137.37")||
      shExpMatch(host, "34.0.137.142")||
      shExpMatch(host, "34.0.137.247")||
      shExpMatch(host, "34.0.139.65")||
      shExpMatch(host, "34.0.139.123")||
      shExpMatch(host, "34.0.139.172")||
      shExpMatch(host, "34.0.140.61")||
      shExpMatch(host, "34.0.140.242")||
      shExpMatch(host, "34.0.141.108")||
      shExpMatch(host, "34.0.141.150")||
      shExpMatch(host, "34.0.142.14")||
      shExpMatch(host, "34.0.142.66")||
      shExpMatch(host, "34.0.142.101")||
      shExpMatch(host, "34.0.144.116")||
      shExpMatch(host, "34.0.144.169")||
      shExpMatch(host, "34.0.144.215")||
      shExpMatch(host, "34.0.145.44")||
      shExpMatch(host, "34.0.145.153")||
      shExpMatch(host, "34.0.146.94")||
      shExpMatch(host, "34.0.146.169")||
      shExpMatch(host, "34.0.148.25")||
      shExpMatch(host, "34.0.149.101")||
      shExpMatch(host, "34.0.151.41")||
      shExpMatch(host, "34.0.151.61")||
      shExpMatch(host, "34.0.151.88")||
      shExpMatch(host, "34.0.153.116")||
      shExpMatch(host, "34.0.153.242")||
      shExpMatch(host, "34.0.155.48")||
      shExpMatch(host, "34.0.155.53")||
      shExpMatch(host, "34.0.155.220")||
      shExpMatch(host, "34.0.156.101")||
      shExpMatch(host, "34.0.157.54")||
      shExpMatch(host, "34.0.157.99")||
      shExpMatch(host, "34.0.158.247")||
      shExpMatch(host, "34.0.159.188")||
      shExpMatch(host, "34.0.192.36")||
      shExpMatch(host, "34.0.192.121")||
      shExpMatch(host, "34.0.193.93")||
      shExpMatch(host, "34.0.193.212")||
      shExpMatch(host, "34.0.194.29")||
      shExpMatch(host, "34.0.194.137")||
      shExpMatch(host, "34.0.194.191")||
      shExpMatch(host, "34.0.194.214")||
      shExpMatch(host, "34.0.195.172")||
      shExpMatch(host, "34.0.196.200")||
      shExpMatch(host, "34.0.196.207")||
      shExpMatch(host, "34.0.197.81")||
      shExpMatch(host, "34.0.198.25")||
      shExpMatch(host, "34.0.199.62")||
      shExpMatch(host, "34.0.199.71")||
      shExpMatch(host, "34.0.199.158")||
      shExpMatch(host, "34.0.200.74")||
      shExpMatch(host, "34.0.200.119")||
      shExpMatch(host, "34.0.200.173")||
      shExpMatch(host, "34.0.200.175")||
      shExpMatch(host, "34.0.201.81")||
      shExpMatch(host, "34.0.202.34")||
      shExpMatch(host, "34.0.203.32")||
      shExpMatch(host, "34.0.203.161")||
      shExpMatch(host, "34.0.204.37")||
      shExpMatch(host, "34.0.204.144")||
      shExpMatch(host, "34.0.204.193")||
      shExpMatch(host, "34.0.204.195")||
      shExpMatch(host, "34.0.205.60")||
      shExpMatch(host, "34.0.205.172")||
      shExpMatch(host, "34.0.205.207")||
      shExpMatch(host, "34.0.205.245")||
      shExpMatch(host, "34.0.206.55")||
      shExpMatch(host, "34.0.206.71")||
      shExpMatch(host, "34.0.207.21")||
      shExpMatch(host, "34.0.207.106")||
      shExpMatch(host, "34.0.207.111")||
      shExpMatch(host, "34.0.207.119")||
      shExpMatch(host, "34.0.208.195")||
      shExpMatch(host, "34.0.209.55")||
      shExpMatch(host, "34.0.209.92")||
      shExpMatch(host, "34.0.209.141")||
      shExpMatch(host, "34.0.209.159")||
      shExpMatch(host, "34.0.209.161")||
      shExpMatch(host, "34.0.210.20")||
      shExpMatch(host, "34.0.211.21")||
      shExpMatch(host, "34.0.211.41")||
      shExpMatch(host, "34.0.212.55")||
      shExpMatch(host, "34.0.212.174")||
      shExpMatch(host, "34.0.213.84")||
      shExpMatch(host, "34.0.213.108")||
      shExpMatch(host, "34.0.215.129")||
      shExpMatch(host, "34.0.215.223")||
      shExpMatch(host, "34.0.215.228")||
      shExpMatch(host, "34.0.216.238")||
      shExpMatch(host, "34.0.217.60")||
      shExpMatch(host, "34.0.217.161")||
      shExpMatch(host, "34.0.218.83")||
      shExpMatch(host, "34.0.220.103")||
      shExpMatch(host, "34.0.221.20")||
      shExpMatch(host, "34.0.221.227")||
      shExpMatch(host, "34.0.222.193")||
      shExpMatch(host, "34.0.223.68")||
      shExpMatch(host, "34.0.227.15")||
      shExpMatch(host, "34.0.227.135")||
      shExpMatch(host, "34.0.240.1")||
      shExpMatch(host, "34.0.240.34")||
      shExpMatch(host, "34.0.240.39")||
      shExpMatch(host, "34.0.240.53")||
      shExpMatch(host, "34.0.240.72")||
      shExpMatch(host, "34.0.240.84")||
      shExpMatch(host, "34.0.240.94")||
      shExpMatch(host, "34.0.240.96")||
      shExpMatch(host, "34.0.240.99")||
      shExpMatch(host, "34.0.240.100")||
      shExpMatch(host, "34.0.240.121")||
      shExpMatch(host, "34.0.240.175")||
      shExpMatch(host, "34.0.240.204")||
      shExpMatch(host, "34.0.240.207")||
      shExpMatch(host, "34.0.240.237")||
      shExpMatch(host, "34.0.240.240")||
      shExpMatch(host, "34.0.240.245")||
      shExpMatch(host, "34.0.240.254")||
      shExpMatch(host, "34.0.241.8")||
      shExpMatch(host, "34.0.241.14")||
      shExpMatch(host, "34.0.241.51")||
      shExpMatch(host, "34.0.241.71")||
      shExpMatch(host, "34.0.241.112")||
      shExpMatch(host, "34.0.241.144")||
      shExpMatch(host, "34.0.241.149")||
      shExpMatch(host, "34.0.241.150")||
      shExpMatch(host, "34.0.241.162")||
      shExpMatch(host, "34.0.241.180")||
      shExpMatch(host, "34.0.241.194")||
      shExpMatch(host, "34.0.241.220")||
      shExpMatch(host, "34.0.241.223")||
      shExpMatch(host, "34.0.242.7")||
      shExpMatch(host, "34.0.242.39")||
      shExpMatch(host, "34.0.242.42")||
      shExpMatch(host, "34.0.242.46")||
      shExpMatch(host, "34.0.242.95")||
      shExpMatch(host, "34.0.242.134")||
      shExpMatch(host, "34.0.242.158")||
      shExpMatch(host, "34.0.242.166")||
      shExpMatch(host, "34.0.242.180")||
      shExpMatch(host, "34.0.242.195")||
      shExpMatch(host, "34.0.242.233")||
      shExpMatch(host, "34.0.243.14")||
      shExpMatch(host, "34.0.243.20")||
      shExpMatch(host, "34.0.243.25")||
      shExpMatch(host, "34.0.243.60")||
      shExpMatch(host, "34.0.243.199")||
      shExpMatch(host, "34.0.243.218")||
      shExpMatch(host, "34.0.243.231")||
      shExpMatch(host, "34.0.244.15")||
      shExpMatch(host, "34.0.244.45")||
      shExpMatch(host, "34.0.244.48")||
      shExpMatch(host, "34.0.244.75")||
      shExpMatch(host, "34.0.244.83")||
      shExpMatch(host, "34.0.244.98")||
      shExpMatch(host, "34.0.244.112")||
      shExpMatch(host, "34.0.244.121")||
      shExpMatch(host, "34.0.244.142")||
      shExpMatch(host, "34.0.244.145")||
      shExpMatch(host, "34.0.244.165")||
      shExpMatch(host, "34.0.244.196")||
      shExpMatch(host, "34.0.244.201")||
      shExpMatch(host, "34.0.244.207")||
      shExpMatch(host, "34.0.244.230")||
      shExpMatch(host, "34.0.244.243")||
      shExpMatch(host, "34.0.245.18")||
      shExpMatch(host, "34.0.245.54")||
      shExpMatch(host, "34.0.245.62")||
      shExpMatch(host, "34.0.245.73")||
      shExpMatch(host, "34.0.245.81")||
      shExpMatch(host, "34.0.245.95")||
      shExpMatch(host, "34.0.245.96")||
      shExpMatch(host, "34.0.245.158")||
      shExpMatch(host, "34.0.245.173")||
      shExpMatch(host, "34.0.245.193")||
      shExpMatch(host, "34.0.245.199")||
      shExpMatch(host, "34.0.245.220")||
      shExpMatch(host, "34.0.245.234")||
      shExpMatch(host, "34.0.246.15")||
      shExpMatch(host, "34.0.246.39")||
      shExpMatch(host, "34.0.246.59")||
      shExpMatch(host, "34.0.246.63")||
      shExpMatch(host, "34.0.246.66")||
      shExpMatch(host, "34.0.246.70")||
      shExpMatch(host, "34.0.246.119")||
      shExpMatch(host, "34.0.246.148")||
      shExpMatch(host, "34.0.246.174")||
      shExpMatch(host, "34.0.246.185")||
      shExpMatch(host, "34.0.246.214/31")||
      shExpMatch(host, "34.0.246.222")||
      shExpMatch(host, "34.0.246.240")||
      shExpMatch(host, "34.0.246.242")||
      shExpMatch(host, "34.0.246.245")||
      shExpMatch(host, "34.0.247.11")||
      shExpMatch(host, "34.0.247.19")||
      shExpMatch(host, "34.0.247.21")||
      shExpMatch(host, "34.0.247.26")||
      shExpMatch(host, "34.0.247.39")||
      shExpMatch(host, "34.0.247.85")||
      shExpMatch(host, "34.0.247.100")||
      shExpMatch(host, "34.0.247.118")||
      shExpMatch(host, "34.0.247.120")||
      shExpMatch(host, "34.0.247.154")||
      shExpMatch(host, "34.0.247.190")||
      shExpMatch(host, "34.0.247.217")||
      shExpMatch(host, "34.0.247.218")||
      shExpMatch(host, "34.0.247.227")||
      shExpMatch(host, "34.0.247.249")||
      shExpMatch(host, "34.0.248.19")||
      shExpMatch(host, "34.0.248.21")||
      shExpMatch(host, "34.0.248.34")||
      shExpMatch(host, "34.0.248.48")||
      shExpMatch(host, "34.0.248.61")||
      shExpMatch(host, "34.0.248.104")||
      shExpMatch(host, "34.0.248.141")||
      shExpMatch(host, "34.0.248.148")||
      shExpMatch(host, "34.0.248.182")||
      shExpMatch(host, "34.0.248.205")||
      shExpMatch(host, "34.0.248.218")||
      shExpMatch(host, "34.0.248.221")||
      shExpMatch(host, "34.0.248.228")||
      shExpMatch(host, "34.0.249.7")||
      shExpMatch(host, "34.0.249.68")||
      shExpMatch(host, "34.0.249.71")||
      shExpMatch(host, "34.0.249.101")||
      shExpMatch(host, "34.0.249.104")||
      shExpMatch(host, "34.0.249.116")||
      shExpMatch(host, "34.0.249.148")||
      shExpMatch(host, "34.0.249.154")||
      shExpMatch(host, "34.0.249.158")||
      shExpMatch(host, "34.0.249.187")||
      shExpMatch(host, "34.0.249.203")||
      shExpMatch(host, "34.0.249.220")||
      shExpMatch(host, "34.0.249.228")||
      shExpMatch(host, "34.0.249.234")||
      shExpMatch(host, "34.0.249.237")||
      shExpMatch(host, "34.0.249.238")||
      shExpMatch(host, "34.0.249.245")||
      shExpMatch(host, "34.0.249.254")||
      shExpMatch(host, "34.0.250.10")||
      shExpMatch(host, "34.0.250.34")||
      shExpMatch(host, "34.0.250.38")||
      shExpMatch(host, "34.0.250.46")||
      shExpMatch(host, "34.0.250.56")||
      shExpMatch(host, "34.0.250.71")||
      shExpMatch(host, "34.0.250.73")||
      shExpMatch(host, "34.0.250.77")||
      shExpMatch(host, "34.0.250.90")||
      shExpMatch(host, "34.0.250.133")||
      shExpMatch(host, "34.0.250.135")||
      shExpMatch(host, "34.0.250.144")||
      shExpMatch(host, "34.0.250.156")||
      shExpMatch(host, "34.0.250.179")||
      shExpMatch(host, "34.0.250.187")||
      shExpMatch(host, "34.0.250.189")||
      shExpMatch(host, "34.0.250.203")||
      shExpMatch(host, "34.0.251.17")||
      shExpMatch(host, "34.0.251.86")||
      shExpMatch(host, "34.1.216.91")||
      shExpMatch(host, "34.1.216.231")||
      shExpMatch(host, "34.1.221.166")||
      shExpMatch(host, "35.207.64.4")||
      shExpMatch(host, "35.207.64.164")||
      shExpMatch(host, "35.207.65.4")||
      shExpMatch(host, "35.207.65.231")||
      shExpMatch(host, "35.207.67.116")||
      shExpMatch(host, "35.207.71.10")||
      shExpMatch(host, "35.207.71.24")||
      shExpMatch(host, "35.207.71.119")||
      shExpMatch(host, "35.207.71.203")||
      shExpMatch(host, "35.207.71.218")||
      shExpMatch(host, "35.207.72.32")||
      shExpMatch(host, "35.207.73.58")||
      shExpMatch(host, "35.207.73.154")||
      shExpMatch(host, "35.207.74.12")||
      shExpMatch(host, "35.207.74.45")||
      shExpMatch(host, "35.207.74.109")||
      shExpMatch(host, "35.207.74.138")||
      shExpMatch(host, "35.207.75.191")||
      shExpMatch(host, "35.207.75.219")||
      shExpMatch(host, "35.207.76.159")||
      shExpMatch(host, "35.207.76.184")||
      shExpMatch(host, "35.207.77.67")||
      shExpMatch(host, "35.207.77.101")||
      shExpMatch(host, "35.207.77.224")||
      shExpMatch(host, "35.207.77.238/31")||
      shExpMatch(host, "35.207.78.129")||
      shExpMatch(host, "35.207.79.34")||
      shExpMatch(host, "35.207.79.66")||
      shExpMatch(host, "35.207.79.201")||
      shExpMatch(host, "35.207.80.76")||
      shExpMatch(host, "35.207.81.249")||
      shExpMatch(host, "35.207.81.250")||
      shExpMatch(host, "35.207.82.54")||
      shExpMatch(host, "35.207.82.176")||
      shExpMatch(host, "35.207.82.208")||
      shExpMatch(host, "35.207.83.118")||
      shExpMatch(host, "35.207.83.177")||
      shExpMatch(host, "35.207.84.87")||
      shExpMatch(host, "35.207.84.205")||
      shExpMatch(host, "35.207.85.160")||
      shExpMatch(host, "35.207.86.41")||
      shExpMatch(host, "35.207.87.184")||
      shExpMatch(host, "35.207.89.188")||
      shExpMatch(host, "35.207.91.146")||
      shExpMatch(host, "35.207.92.230")||
      shExpMatch(host, "35.207.95.107")||
      shExpMatch(host, "35.207.95.125")||
      shExpMatch(host, "35.207.95.255")||
      shExpMatch(host, "35.207.97.174")||
      shExpMatch(host, "35.207.99.134")||
      shExpMatch(host, "35.207.100.74")||
      shExpMatch(host, "35.207.100.104")||
      shExpMatch(host, "35.207.101.130")||
      shExpMatch(host, "35.207.103.70")||
      shExpMatch(host, "35.207.103.97")||
      shExpMatch(host, "35.207.103.112")||
      shExpMatch(host, "35.207.104.10")||
      shExpMatch(host, "35.207.104.162")||
      shExpMatch(host, "35.207.104.202")||
      shExpMatch(host, "35.207.106.153")||
      shExpMatch(host, "35.207.106.188")||
      shExpMatch(host, "35.207.107.19")||
      shExpMatch(host, "35.207.108.198")||
      shExpMatch(host, "35.207.108.215")||
      shExpMatch(host, "35.207.109.185")||
      shExpMatch(host, "35.207.110.73")||
      shExpMatch(host, "35.207.110.97")||
      shExpMatch(host, "35.207.110.163")||
      shExpMatch(host, "35.207.110.175")||
      shExpMatch(host, "35.207.110.187")||
      shExpMatch(host, "35.207.111.174")||
      shExpMatch(host, "35.207.114.16")||
      shExpMatch(host, "35.207.115.163")||
      shExpMatch(host, "35.207.116.51")||
      shExpMatch(host, "35.207.117.24")||
      shExpMatch(host, "35.207.117.227")||
      shExpMatch(host, "35.207.121.204")||
      shExpMatch(host, "35.207.122.37")||
      shExpMatch(host, "35.207.122.79")||
      shExpMatch(host, "35.207.124.145")||
      shExpMatch(host, "35.207.125.116")||
      shExpMatch(host, "35.207.126.30")||
      shExpMatch(host, "35.207.129.2")||
      shExpMatch(host, "35.207.129.199")||
      shExpMatch(host, "35.207.131.136")||
      shExpMatch(host, "35.207.131.152")||
      shExpMatch(host, "35.207.132.247")||
      shExpMatch(host, "35.207.135.147")||
      shExpMatch(host, "35.207.136.69")||
      shExpMatch(host, "35.207.137.4")||
      shExpMatch(host, "35.207.137.62")||
      shExpMatch(host, "35.207.137.164")||
      shExpMatch(host, "35.207.137.207")||
      shExpMatch(host, "35.207.139.22")||
      shExpMatch(host, "35.207.139.43")||
      shExpMatch(host, "35.207.139.154")||
      shExpMatch(host, "35.207.139.211")||
      shExpMatch(host, "35.207.139.220")||
      shExpMatch(host, "35.207.139.227")||
      shExpMatch(host, "35.207.140.241")||
      shExpMatch(host, "35.207.141.119")||
      shExpMatch(host, "35.207.142.63")||
      shExpMatch(host, "35.207.142.230")||
      shExpMatch(host, "35.207.142.232")||
      shExpMatch(host, "35.207.143.96")||
      shExpMatch(host, "35.207.143.121")||
      shExpMatch(host, "35.207.144.0")||
      shExpMatch(host, "35.207.144.109")||
      shExpMatch(host, "35.207.145.35")||
      shExpMatch(host, "35.207.145.63")||
      shExpMatch(host, "35.207.145.203")||
      shExpMatch(host, "35.207.146.89")||
      shExpMatch(host, "35.207.147.63")||
      shExpMatch(host, "35.207.147.121")||
      shExpMatch(host, "35.207.147.245")||
      shExpMatch(host, "35.207.147.248")||
      shExpMatch(host, "35.207.149.52")||
      shExpMatch(host, "35.207.149.130")||
      shExpMatch(host, "35.207.150.20")||
      shExpMatch(host, "35.207.150.137")||
      shExpMatch(host, "35.207.150.237")||
      shExpMatch(host, "35.207.151.61")||
      shExpMatch(host, "35.207.153.117")||
      shExpMatch(host, "35.207.154.5")||
      shExpMatch(host, "35.207.154.172")||
      shExpMatch(host, "35.207.154.200")||
      shExpMatch(host, "35.207.154.236")||
      shExpMatch(host, "35.207.155.172")||
      shExpMatch(host, "35.207.155.216")||
      shExpMatch(host, "35.207.156.254")||
      shExpMatch(host, "35.207.157.7")||
      shExpMatch(host, "35.207.158.192")||
      shExpMatch(host, "35.207.160.160")||
      shExpMatch(host, "35.207.162.239")||
      shExpMatch(host, "35.207.163.49")||
      shExpMatch(host, "35.207.163.203")||
      shExpMatch(host, "35.207.164.57")||
      shExpMatch(host, "35.207.164.73")||
      shExpMatch(host, "35.207.164.100")||
      shExpMatch(host, "35.207.165.147")||
      shExpMatch(host, "35.207.166.36")||
      shExpMatch(host, "35.207.166.69")||
      shExpMatch(host, "35.207.167.113")||
      shExpMatch(host, "35.207.167.122")||
      shExpMatch(host, "35.207.167.161")||
      shExpMatch(host, "35.207.167.219")||
      shExpMatch(host, "35.207.168.116")||
      shExpMatch(host, "35.207.170.8")||
      shExpMatch(host, "35.207.170.35")||
      shExpMatch(host, "35.207.170.135")||
      shExpMatch(host, "35.207.170.191")||
      shExpMatch(host, "35.207.171.40")||
      shExpMatch(host, "35.207.171.99")||
      shExpMatch(host, "35.207.171.122")||
      shExpMatch(host, "35.207.171.222")||
      shExpMatch(host, "35.207.171.225")||
      shExpMatch(host, "35.207.172.68")||
      shExpMatch(host, "35.207.172.136")||
      shExpMatch(host, "35.207.172.246")||
      shExpMatch(host, "35.207.174.55")||
      shExpMatch(host, "35.207.176.188")||
      shExpMatch(host, "35.207.176.206")||
      shExpMatch(host, "35.207.176.226")||
      shExpMatch(host, "35.207.178.51")||
      shExpMatch(host, "35.207.178.228")||
      shExpMatch(host, "35.207.180.152")||
      shExpMatch(host, "35.207.181.76")||
      shExpMatch(host, "35.207.182.125")||
      shExpMatch(host, "35.207.184.101")||
      shExpMatch(host, "35.207.185.192")||
      shExpMatch(host, "35.207.186.188")||
      shExpMatch(host, "35.207.186.197")||
      shExpMatch(host, "35.207.187.228")||
      shExpMatch(host, "35.207.188.57")||
      shExpMatch(host, "35.207.188.142")||
      shExpMatch(host, "35.207.189.58")||
      shExpMatch(host, "35.207.189.98")||
      shExpMatch(host, "35.207.190.194")||
      shExpMatch(host, "35.207.191.84")||
      shExpMatch(host, "35.207.191.113")||
      shExpMatch(host, "35.207.191.121")||
      shExpMatch(host, "35.207.193.165")||
      shExpMatch(host, "35.207.195.75")||
      shExpMatch(host, "35.207.196.40")||
      shExpMatch(host, "35.207.196.215")||
      shExpMatch(host, "35.207.198.95")||
      shExpMatch(host, "35.207.198.216")||
      shExpMatch(host, "35.207.199.70")||
      shExpMatch(host, "35.207.199.225")||
      shExpMatch(host, "35.207.201.186")||
      shExpMatch(host, "35.207.202.169")||
      shExpMatch(host, "35.207.205.211")||
      shExpMatch(host, "35.207.207.4")||
      shExpMatch(host, "35.207.209.40")||
      shExpMatch(host, "35.207.209.118")||
      shExpMatch(host, "35.207.210.191")||
      shExpMatch(host, "35.207.211.253")||
      shExpMatch(host, "35.207.213.97")||
      shExpMatch(host, "35.207.214.21")||
      shExpMatch(host, "35.207.214.215")||
      shExpMatch(host, "35.207.220.147")||
      shExpMatch(host, "35.207.221.58")||
      shExpMatch(host, "35.207.222.105")||
      shExpMatch(host, "35.207.224.151")||
      shExpMatch(host, "35.207.225.210")||
      shExpMatch(host, "35.207.227.110")||
      shExpMatch(host, "35.207.227.143")||
      shExpMatch(host, "35.207.229.212")||
      shExpMatch(host, "35.207.232.26")||
      shExpMatch(host, "35.207.234.182")||
      shExpMatch(host, "35.207.238.104")||
      shExpMatch(host, "35.207.238.171")||
      shExpMatch(host, "35.207.240.78")||
      shExpMatch(host, "35.207.240.251")||
      shExpMatch(host, "35.207.245.126")||
      shExpMatch(host, "35.207.245.207")||
      shExpMatch(host, "35.207.249.64")||
      shExpMatch(host, "35.207.249.145")||
      shExpMatch(host, "35.207.249.151")||
      shExpMatch(host, "35.207.249.153")||
      shExpMatch(host, "35.207.249.250")||
      shExpMatch(host, "35.207.250.212")||
      shExpMatch(host, "35.207.251.10")||
      shExpMatch(host, "35.207.251.29")||
      shExpMatch(host, "35.212.4.134")||
      shExpMatch(host, "35.212.12.148")||
      shExpMatch(host, "35.212.88.11")||
      shExpMatch(host, "35.212.102.50")||
      shExpMatch(host, "35.212.111.22")||
      shExpMatch(host, "35.212.111.40")||
      shExpMatch(host, "35.212.117.247")||
      shExpMatch(host, "35.212.120.122")||
      shExpMatch(host, "35.213.0.12")||
      shExpMatch(host, "35.213.0.182")||
      shExpMatch(host, "35.213.2.8")||
      shExpMatch(host, "35.213.4.185")||
      shExpMatch(host, "35.213.6.118")||
      shExpMatch(host, "35.213.7.175")||
      shExpMatch(host, "35.213.7.192")||
      shExpMatch(host, "35.213.8.168")||
      shExpMatch(host, "35.213.10.19")||
      shExpMatch(host, "35.213.10.35")||
      shExpMatch(host, "35.213.10.229")||
      shExpMatch(host, "35.213.11.21")||
      shExpMatch(host, "35.213.12.230")||
      shExpMatch(host, "35.213.12.242")||
      shExpMatch(host, "35.213.13.19")||
      shExpMatch(host, "35.213.14.217")||
      shExpMatch(host, "35.213.16.67")||
      shExpMatch(host, "35.213.17.235")||
      shExpMatch(host, "35.213.23.166")||
      shExpMatch(host, "35.213.25.164")||
      shExpMatch(host, "35.213.26.62")||
      shExpMatch(host, "35.213.27.252")||
      shExpMatch(host, "35.213.32.37")||
      shExpMatch(host, "35.213.32.83")||
      shExpMatch(host, "35.213.32.199")||
      shExpMatch(host, "35.213.33.74")||
      shExpMatch(host, "35.213.34.204")||
      shExpMatch(host, "35.213.37.81")||
      shExpMatch(host, "35.213.38.186")||
      shExpMatch(host, "35.213.39.253")||
      shExpMatch(host, "35.213.42.68")||
      shExpMatch(host, "35.213.42.230")||
      shExpMatch(host, "35.213.42.253")||
      shExpMatch(host, "35.213.43.79")||
      shExpMatch(host, "35.213.45.85")||
      shExpMatch(host, "35.213.45.113")||
      shExpMatch(host, "35.213.45.143")||
      shExpMatch(host, "35.213.46.136")||
      shExpMatch(host, "35.213.49.17")||
      shExpMatch(host, "35.213.50.42")||
      shExpMatch(host, "35.213.50.199")||
      shExpMatch(host, "35.213.51.213")||
      shExpMatch(host, "35.213.52.2")||
      shExpMatch(host, "35.213.52.119")||
      shExpMatch(host, "35.213.53.50")||
      shExpMatch(host, "35.213.53.140")||
      shExpMatch(host, "35.213.54.68")||
      shExpMatch(host, "35.213.54.220")||
      shExpMatch(host, "35.213.56.48")||
      shExpMatch(host, "35.213.56.65")||
      shExpMatch(host, "35.213.59.110")||
      shExpMatch(host, "35.213.59.220")||
      shExpMatch(host, "35.213.61.58")||
      shExpMatch(host, "35.213.65.126/31")||
      shExpMatch(host, "35.213.65.160")||
      shExpMatch(host, "35.213.67.12")||
      shExpMatch(host, "35.213.67.179")||
      shExpMatch(host, "35.213.68.201")||
      shExpMatch(host, "35.213.68.232")||
      shExpMatch(host, "35.213.68.252")||
      shExpMatch(host, "35.213.70.151")||
      shExpMatch(host, "35.213.72.175")||
      shExpMatch(host, "35.213.72.222")||
      shExpMatch(host, "35.213.73.245")||
      shExpMatch(host, "35.213.74.131")||
      shExpMatch(host, "35.213.78.28")||
      shExpMatch(host, "35.213.78.181")||
      shExpMatch(host, "35.213.78.235")||
      shExpMatch(host, "35.213.79.137")||
      shExpMatch(host, "35.213.80.2")||
      shExpMatch(host, "35.213.80.81")||
      shExpMatch(host, "35.213.83.185")||
      shExpMatch(host, "35.213.83.245")||
      shExpMatch(host, "35.213.84.245")||
      shExpMatch(host, "35.213.85.105")||
      shExpMatch(host, "35.213.85.155")||
      shExpMatch(host, "35.213.88.145")||
      shExpMatch(host, "35.213.89.84")||
      shExpMatch(host, "35.213.89.91")||
      shExpMatch(host, "35.213.90.63")||
      shExpMatch(host, "35.213.90.150")||
      shExpMatch(host, "35.213.90.203")||
      shExpMatch(host, "35.213.91.195")||
      shExpMatch(host, "35.213.92.69")||
      shExpMatch(host, "35.213.92.187")||
      shExpMatch(host, "35.213.92.246")||
      shExpMatch(host, "35.213.93.254")||
      shExpMatch(host, "35.213.94.78")||
      shExpMatch(host, "35.213.95.145")||
      shExpMatch(host, "35.213.96.87")||
      shExpMatch(host, "35.213.98.121")||
      shExpMatch(host, "35.213.98.141")||
      shExpMatch(host, "35.213.99.126")||
      shExpMatch(host, "35.213.101.214")||
      shExpMatch(host, "35.213.102.38")||
      shExpMatch(host, "35.213.102.172")||
      shExpMatch(host, "35.213.102.227")||
      shExpMatch(host, "35.213.105.44")||
      shExpMatch(host, "35.213.105.155")||
      shExpMatch(host, "35.213.106.185")||
      shExpMatch(host, "35.213.106.197")||
      shExpMatch(host, "35.213.106.233")||
      shExpMatch(host, "35.213.107.158")||
      shExpMatch(host, "35.213.109.23")||
      shExpMatch(host, "35.213.109.148")||
      shExpMatch(host, "35.213.110.40")||
      shExpMatch(host, "35.213.111.27")||
      shExpMatch(host, "35.213.111.90")||
      shExpMatch(host, "35.213.115.23")||
      shExpMatch(host, "35.213.115.49")||
      shExpMatch(host, "35.213.115.99")||
      shExpMatch(host, "35.213.120.37")||
      shExpMatch(host, "35.213.120.129")||
      shExpMatch(host, "35.213.122.98")||
      shExpMatch(host, "35.213.122.142")||
      shExpMatch(host, "35.213.122.209")||
      shExpMatch(host, "35.213.124.89")||
      shExpMatch(host, "35.213.125.40")||
      shExpMatch(host, "35.213.126.185")||
      shExpMatch(host, "35.213.127.51")||
      shExpMatch(host, "35.213.127.213")||
      shExpMatch(host, "35.213.128.66")||
      shExpMatch(host, "35.213.128.177")||
      shExpMatch(host, "35.213.129.2")||
      shExpMatch(host, "35.213.129.228")||
      shExpMatch(host, "35.213.130.23")||
      shExpMatch(host, "35.213.130.27")||
      shExpMatch(host, "35.213.130.189")||
      shExpMatch(host, "35.213.130.216/31")||
      shExpMatch(host, "35.213.131.4")||
      shExpMatch(host, "35.213.131.78")||
      shExpMatch(host, "35.213.131.134")||
      shExpMatch(host, "35.213.132.49")||
      shExpMatch(host, "35.213.132.79")||
      shExpMatch(host, "35.213.132.176")||
      shExpMatch(host, "35.213.132.221")||
      shExpMatch(host, "35.213.132.235")||
      shExpMatch(host, "35.213.133.10")||
      shExpMatch(host, "35.213.133.80")||
      shExpMatch(host, "35.213.133.191")||
      shExpMatch(host, "35.213.133.233")||
      shExpMatch(host, "35.213.134.140")||
      shExpMatch(host, "35.213.135.56")||
      shExpMatch(host, "35.213.135.106")||
      shExpMatch(host, "35.213.135.211")||
      shExpMatch(host, "35.213.136.36")||
      shExpMatch(host, "35.213.136.39")||
      shExpMatch(host, "35.213.136.41")||
      shExpMatch(host, "35.213.136.72")||
      shExpMatch(host, "35.213.136.207")||
      shExpMatch(host, "35.213.137.38")||
      shExpMatch(host, "35.213.137.62")||
      shExpMatch(host, "35.213.137.195")||
      shExpMatch(host, "35.213.138.147")||
      shExpMatch(host, "35.213.138.198")||
      shExpMatch(host, "35.213.139.58")||
      shExpMatch(host, "35.213.139.79")||
      shExpMatch(host, "35.213.139.145")||
      shExpMatch(host, "35.213.139.219")||
      shExpMatch(host, "35.213.140.35")||
      shExpMatch(host, "35.213.140.100")||
      shExpMatch(host, "35.213.141.164")||
      shExpMatch(host, "35.213.142.159")||
      shExpMatch(host, "35.213.142.169")||
      shExpMatch(host, "35.213.142.219")||
      shExpMatch(host, "35.213.142.228")||
      shExpMatch(host, "35.213.142.249")||
      shExpMatch(host, "35.213.143.38")||
      shExpMatch(host, "35.213.143.74")||
      shExpMatch(host, "35.213.143.127")||
      shExpMatch(host, "35.213.143.184")||
      shExpMatch(host, "35.213.144.89")||
      shExpMatch(host, "35.213.144.110")||
      shExpMatch(host, "35.213.144.114")||
      shExpMatch(host, "35.213.144.223")||
      shExpMatch(host, "35.213.145.124")||
      shExpMatch(host, "35.213.145.149")||
      shExpMatch(host, "35.213.145.194")||
      shExpMatch(host, "35.213.145.251")||
      shExpMatch(host, "35.213.146.41")||
      shExpMatch(host, "35.213.146.51")||
      shExpMatch(host, "35.213.146.200")||
      shExpMatch(host, "35.213.147.22")||
      shExpMatch(host, "35.213.147.116")||
      shExpMatch(host, "35.213.147.179")||
      shExpMatch(host, "35.213.148.10")||
      shExpMatch(host, "35.213.148.148")||
      shExpMatch(host, "35.213.148.177")||
      shExpMatch(host, "35.213.148.182")||
      shExpMatch(host, "35.213.149.32")||
      shExpMatch(host, "35.213.149.99")||
      shExpMatch(host, "35.213.149.115")||
      shExpMatch(host, "35.213.149.130")||
      shExpMatch(host, "35.213.149.135")||
      shExpMatch(host, "35.213.149.142")||
      shExpMatch(host, "35.213.149.185")||
      shExpMatch(host, "35.213.150.2")||
      shExpMatch(host, "35.213.150.41")||
      shExpMatch(host, "35.213.150.136")||
      shExpMatch(host, "35.213.150.163")||
      shExpMatch(host, "35.213.150.185")||
      shExpMatch(host, "35.213.152.13")||
      shExpMatch(host, "35.213.152.149")||
      shExpMatch(host, "35.213.152.186")||
      shExpMatch(host, "35.213.152.193")||
      shExpMatch(host, "35.213.153.100")||
      shExpMatch(host, "35.213.153.161")||
      shExpMatch(host, "35.213.153.185")||
      shExpMatch(host, "35.213.154.137")||
      shExpMatch(host, "35.213.155.134")||
      shExpMatch(host, "35.213.156.144")||
      shExpMatch(host, "35.213.157.6")||
      shExpMatch(host, "35.213.157.137")||
      shExpMatch(host, "35.213.158.83")||
      shExpMatch(host, "35.213.158.108")||
      shExpMatch(host, "35.213.158.120")||
      shExpMatch(host, "35.213.160.90")||
      shExpMatch(host, "35.213.161.253")||
      shExpMatch(host, "35.213.162.40")||
      shExpMatch(host, "35.213.162.61")||
      shExpMatch(host, "35.213.162.87")||
      shExpMatch(host, "35.213.162.120")||
      shExpMatch(host, "35.213.163.5")||
      shExpMatch(host, "35.213.163.93")||
      shExpMatch(host, "35.213.163.143")||
      shExpMatch(host, "35.213.163.227")||
      shExpMatch(host, "35.213.163.235")||
      shExpMatch(host, "35.213.164.98")||
      shExpMatch(host, "35.213.164.149")||
      shExpMatch(host, "35.213.164.163")||
      shExpMatch(host, "35.213.164.239")||
      shExpMatch(host, "35.213.164.242")||
      shExpMatch(host, "35.213.165.33")||
      shExpMatch(host, "35.213.165.102")||
      shExpMatch(host, "35.213.165.153")||
      shExpMatch(host, "35.213.165.239")||
      shExpMatch(host, "35.213.166.106")||
      shExpMatch(host, "35.213.167.165")||
      shExpMatch(host, "35.213.167.184")||
      shExpMatch(host, "35.213.168.66")||
      shExpMatch(host, "35.213.168.191")||
      shExpMatch(host, "35.213.169.179")||
      shExpMatch(host, "35.213.170.10")||
      shExpMatch(host, "35.213.170.195")||
      shExpMatch(host, "35.213.171.201")||
      shExpMatch(host, "35.213.172.159")||
      shExpMatch(host, "35.213.173.1")||
      shExpMatch(host, "35.213.173.139")||
      shExpMatch(host, "35.213.173.177")||
      shExpMatch(host, "35.213.173.224")||
      shExpMatch(host, "35.213.174.129")||
      shExpMatch(host, "35.213.174.234")||
      shExpMatch(host, "35.213.175.156")||
      shExpMatch(host, "35.213.175.179")||
      shExpMatch(host, "35.213.176.48")||
      shExpMatch(host, "35.213.176.117")||
      shExpMatch(host, "35.213.176.197")||
      shExpMatch(host, "35.213.177.21")||
      shExpMatch(host, "35.213.177.116")||
      shExpMatch(host, "35.213.177.119")||
      shExpMatch(host, "35.213.179.139")||
      shExpMatch(host, "35.213.180.1")||
      shExpMatch(host, "35.213.180.123")||
      shExpMatch(host, "35.213.180.154")||
      shExpMatch(host, "35.213.181.44")||
      shExpMatch(host, "35.213.181.63")||
      shExpMatch(host, "35.213.181.71")||
      shExpMatch(host, "35.213.181.123")||
      shExpMatch(host, "35.213.182.101")||
      shExpMatch(host, "35.213.182.222")||
      shExpMatch(host, "35.213.183.42")||
      shExpMatch(host, "35.213.183.52")||
      shExpMatch(host, "35.213.183.187")||
      shExpMatch(host, "35.213.183.188")||
      shExpMatch(host, "35.213.183.191")||
      shExpMatch(host, "35.213.183.226")||
      shExpMatch(host, "35.213.184.90")||
      shExpMatch(host, "35.213.184.205")||
      shExpMatch(host, "35.213.185.36")||
      shExpMatch(host, "35.213.185.70")||
      shExpMatch(host, "35.213.185.208")||
      shExpMatch(host, "35.213.185.243")||
      shExpMatch(host, "35.213.186.70")||
      shExpMatch(host, "35.213.187.82")||
      shExpMatch(host, "35.213.187.135")||
      shExpMatch(host, "35.213.188.188")||
      shExpMatch(host, "35.213.188.202")||
      shExpMatch(host, "35.213.190.158")||
      shExpMatch(host, "35.213.191.86")||
      shExpMatch(host, "35.213.191.154")||
      shExpMatch(host, "35.213.191.225")||
      shExpMatch(host, "35.213.192.240/31")||
      shExpMatch(host, "35.213.193.74")||
      shExpMatch(host, "35.213.194.45")||
      shExpMatch(host, "35.213.194.70")||
      shExpMatch(host, "35.213.194.82")||
      shExpMatch(host, "35.213.194.119")||
      shExpMatch(host, "35.213.195.178")||
      shExpMatch(host, "35.213.196.38")||
      shExpMatch(host, "35.213.197.68")||
      shExpMatch(host, "35.213.198.38")||
      shExpMatch(host, "35.213.198.237")||
      shExpMatch(host, "35.213.199.106")||
      shExpMatch(host, "35.213.199.200")||
      shExpMatch(host, "35.213.200.9")||
      shExpMatch(host, "35.213.200.132")||
      shExpMatch(host, "35.213.201.31")||
      shExpMatch(host, "35.213.201.185")||
      shExpMatch(host, "35.213.202.9")||
      shExpMatch(host, "35.213.202.26")||
      shExpMatch(host, "35.213.202.121")||
      shExpMatch(host, "35.213.203.195")||
      shExpMatch(host, "35.213.204.44")||
      shExpMatch(host, "35.213.204.52")||
      shExpMatch(host, "35.213.205.170")||
      shExpMatch(host, "35.213.207.137")||
      shExpMatch(host, "35.213.207.206")||
      shExpMatch(host, "35.213.208.85")||
      shExpMatch(host, "35.213.210.70")||
      shExpMatch(host, "35.213.210.232")||
      shExpMatch(host, "35.213.211.177")||
      shExpMatch(host, "35.213.211.183")||
      shExpMatch(host, "35.213.212.18")||
      shExpMatch(host, "35.213.212.242")||
      shExpMatch(host, "35.213.213.225")||
      shExpMatch(host, "35.213.214.28")||
      shExpMatch(host, "35.213.214.91")||
      shExpMatch(host, "35.213.214.97")||
      shExpMatch(host, "35.213.215.255")||
      shExpMatch(host, "35.213.217.53")||
      shExpMatch(host, "35.213.217.88")||
      shExpMatch(host, "35.213.217.122")||
      shExpMatch(host, "35.213.217.196")||
      shExpMatch(host, "35.213.217.225")||
      shExpMatch(host, "35.213.218.248")||
      shExpMatch(host, "35.213.219.8")||
      shExpMatch(host, "35.213.219.46")||
      shExpMatch(host, "35.213.219.103")||
      shExpMatch(host, "35.213.220.211")||
      shExpMatch(host, "35.213.221.85")||
      shExpMatch(host, "35.213.221.208")||
      shExpMatch(host, "35.213.222.215")||
      shExpMatch(host, "35.213.223.81")||
      shExpMatch(host, "35.213.223.182")||
      shExpMatch(host, "35.213.225.26")||
      shExpMatch(host, "35.213.225.92")||
      shExpMatch(host, "35.213.225.94")||
      shExpMatch(host, "35.213.225.253")||
      shExpMatch(host, "35.213.227.227")||
      shExpMatch(host, "35.213.229.17")||
      shExpMatch(host, "35.213.230.89")||
      shExpMatch(host, "35.213.231.2")||
      shExpMatch(host, "35.213.231.80")||
      shExpMatch(host, "35.213.231.120")||
      shExpMatch(host, "35.213.231.225")||
      shExpMatch(host, "35.213.233.5")||
      shExpMatch(host, "35.213.233.69")||
      shExpMatch(host, "35.213.233.151")||
      shExpMatch(host, "35.213.234.134")||
      shExpMatch(host, "35.213.236.67")||
      shExpMatch(host, "35.213.236.102")||
      shExpMatch(host, "35.213.236.137")||
      shExpMatch(host, "35.213.236.140")||
      shExpMatch(host, "35.213.237.212")||
      shExpMatch(host, "35.213.238.74")||
      shExpMatch(host, "35.213.238.113")||
      shExpMatch(host, "35.213.238.139")||
      shExpMatch(host, "35.213.240.212")||
      shExpMatch(host, "35.213.241.59")||
      shExpMatch(host, "35.213.241.213")||
      shExpMatch(host, "35.213.242.10")||
      shExpMatch(host, "35.213.243.219")||
      shExpMatch(host, "35.213.244.146")||
      shExpMatch(host, "35.213.245.119")||
      shExpMatch(host, "35.213.246.38")||
      shExpMatch(host, "35.213.246.123")||
      shExpMatch(host, "35.213.246.147")||
      shExpMatch(host, "35.213.247.111")||
      shExpMatch(host, "35.213.247.158")||
      shExpMatch(host, "35.213.247.201")||
      shExpMatch(host, "35.213.247.225")||
      shExpMatch(host, "35.213.249.79")||
      shExpMatch(host, "35.213.250.27")||
      shExpMatch(host, "35.213.250.159")||
      shExpMatch(host, "35.213.250.199")||
      shExpMatch(host, "35.213.250.224")||
      shExpMatch(host, "35.213.251.74")||
      shExpMatch(host, "35.213.252.34")||
      shExpMatch(host, "35.213.252.221")||
      shExpMatch(host, "35.213.253.155")||
      shExpMatch(host, "35.213.254.89")||
      shExpMatch(host, "35.214.128.248")||
      shExpMatch(host, "35.214.129.220")||
      shExpMatch(host, "35.214.130.217")||
      shExpMatch(host, "35.214.131.144")||
      shExpMatch(host, "35.214.132.189")||
      shExpMatch(host, "35.214.133.102")||
      shExpMatch(host, "35.214.133.180")||
      shExpMatch(host, "35.214.134.163")||
      shExpMatch(host, "35.214.137.47")||
      shExpMatch(host, "35.214.137.136")||
      shExpMatch(host, "35.214.138.48")||
      shExpMatch(host, "35.214.138.95")||
      shExpMatch(host, "35.214.138.117")||
      shExpMatch(host, "35.214.140.97")||
      shExpMatch(host, "35.214.140.183")||
      shExpMatch(host, "35.214.140.185")||
      shExpMatch(host, "35.214.142.123")||
      shExpMatch(host, "35.214.142.233")||
      shExpMatch(host, "35.214.143.41")||
      shExpMatch(host, "35.214.144.26")||
      shExpMatch(host, "35.214.145.200")||
      shExpMatch(host, "35.214.146.9")||
      shExpMatch(host, "35.214.147.135")||
      shExpMatch(host, "35.214.148.89")||
      shExpMatch(host, "35.214.149.110")||
      shExpMatch(host, "35.214.151.181")||
      shExpMatch(host, "35.214.151.193")||
      shExpMatch(host, "35.214.152.46")||
      shExpMatch(host, "35.214.152.158")||
      shExpMatch(host, "35.214.152.244")||
      shExpMatch(host, "35.214.156.115")||
      shExpMatch(host, "35.214.158.181")||
      shExpMatch(host, "35.214.159.158")||
      shExpMatch(host, "35.214.159.172")||
      shExpMatch(host, "35.214.159.205")||
      shExpMatch(host, "35.214.160.137")||
      shExpMatch(host, "35.214.160.198")||
      shExpMatch(host, "35.214.161.217")||
      shExpMatch(host, "35.214.162.72")||
      shExpMatch(host, "35.214.162.126")||
      shExpMatch(host, "35.214.162.183")||
      shExpMatch(host, "35.214.163.28")||
      shExpMatch(host, "35.214.165.102")||
      shExpMatch(host, "35.214.167.77")||
      shExpMatch(host, "35.214.169.86")||
      shExpMatch(host, "35.214.169.198")||
      shExpMatch(host, "35.214.170.2")||
      shExpMatch(host, "35.214.171.28")||
      shExpMatch(host, "35.214.171.75")||
      shExpMatch(host, "35.214.171.117")||
      shExpMatch(host, "35.214.172.138")||
      shExpMatch(host, "35.214.172.251")||
      shExpMatch(host, "35.214.173.102")||
      shExpMatch(host, "35.214.173.225")||
      shExpMatch(host, "35.214.175.38")||
      shExpMatch(host, "35.214.175.180")||
      shExpMatch(host, "35.214.177.183")||
      shExpMatch(host, "35.214.179.46")||
      shExpMatch(host, "35.214.180.75")||
      shExpMatch(host, "35.214.180.218")||
      shExpMatch(host, "35.214.180.229")||
      shExpMatch(host, "35.214.181.64")||
      shExpMatch(host, "35.214.181.71")||
      shExpMatch(host, "35.214.181.166")||
      shExpMatch(host, "35.214.181.207")||
      shExpMatch(host, "35.214.181.209")||
      shExpMatch(host, "35.214.184.179")||
      shExpMatch(host, "35.214.185.28")||
      shExpMatch(host, "35.214.186.3")||
      shExpMatch(host, "35.214.187.30")||
      shExpMatch(host, "35.214.187.54")||
      shExpMatch(host, "35.214.187.151")||
      shExpMatch(host, "35.214.187.212")||
      shExpMatch(host, "35.214.191.31")||
      shExpMatch(host, "35.214.191.35")||
      shExpMatch(host, "35.214.191.224")||
      shExpMatch(host, "35.214.192.135")||
      shExpMatch(host, "35.214.192.253")||
      shExpMatch(host, "35.214.193.95")||
      shExpMatch(host, "35.214.193.140")||
      shExpMatch(host, "35.214.194.190")||
      shExpMatch(host, "35.214.194.214")||
      shExpMatch(host, "35.214.195.15")||
      shExpMatch(host, "35.214.195.71")||
      shExpMatch(host, "35.214.196.89")||
      shExpMatch(host, "35.214.196.107")||
      shExpMatch(host, "35.214.197.71")||
      shExpMatch(host, "35.214.197.107")||
      shExpMatch(host, "35.214.197.168")||
      shExpMatch(host, "35.214.198.7")||
      shExpMatch(host, "35.214.199.224")||
      shExpMatch(host, "35.214.201.59")||
      shExpMatch(host, "35.214.201.74")||
      shExpMatch(host, "35.214.203.155")||
      shExpMatch(host, "35.214.204.113")||
      shExpMatch(host, "35.214.204.174")||
      shExpMatch(host, "35.214.204.252")||
      shExpMatch(host, "35.214.205.33")||
      shExpMatch(host, "35.214.205.145")||
      shExpMatch(host, "35.214.207.84")||
      shExpMatch(host, "35.214.207.131")||
      shExpMatch(host, "35.214.208.159")||
      shExpMatch(host, "35.214.208.163")||
      shExpMatch(host, "35.214.208.250")||
      shExpMatch(host, "35.214.208.253")||
      shExpMatch(host, "35.214.209.64")||
      shExpMatch(host, "35.214.210.2")||
      shExpMatch(host, "35.214.210.194")||
      shExpMatch(host, "35.214.211.3")||
      shExpMatch(host, "35.214.212.66")||
      shExpMatch(host, "35.214.212.79")||
      shExpMatch(host, "35.214.212.124")||
      shExpMatch(host, "35.214.213.22")||
      shExpMatch(host, "35.214.213.113")||
      shExpMatch(host, "35.214.214.83")||
      shExpMatch(host, "35.214.214.242")||
      shExpMatch(host, "35.214.215.89")||
      shExpMatch(host, "35.214.215.121")||
      shExpMatch(host, "35.214.216.72")||
      shExpMatch(host, "35.214.216.77")||
      shExpMatch(host, "35.214.216.150")||
      shExpMatch(host, "35.214.217.3")||
      shExpMatch(host, "35.214.217.90")||
      shExpMatch(host, "35.214.217.239")||
      shExpMatch(host, "35.214.218.140")||
      shExpMatch(host, "35.214.219.50")||
      shExpMatch(host, "35.214.219.181")||
      shExpMatch(host, "35.214.220.149")||
      shExpMatch(host, "35.214.221.107")||
      shExpMatch(host, "35.214.221.167")||
      shExpMatch(host, "35.214.222.149")||
      shExpMatch(host, "35.214.223.117")||
      shExpMatch(host, "35.214.223.155")||
      shExpMatch(host, "35.214.224.71")||
      shExpMatch(host, "35.214.225.26")||
      shExpMatch(host, "35.214.225.36")||
      shExpMatch(host, "35.214.225.156")||
      shExpMatch(host, "35.214.226.96")||
      shExpMatch(host, "35.214.226.104")||
      shExpMatch(host, "35.214.226.222")||
      shExpMatch(host, "35.214.227.39")||
      shExpMatch(host, "35.214.227.157")||
      shExpMatch(host, "35.214.228.116")||
      shExpMatch(host, "35.214.228.178")||
      shExpMatch(host, "35.214.228.211")||
      shExpMatch(host, "35.214.229.12")||
      shExpMatch(host, "35.214.229.53")||
      shExpMatch(host, "35.214.229.73")||
      shExpMatch(host, "35.214.229.162")||
      shExpMatch(host, "35.214.231.187")||
      shExpMatch(host, "35.214.233.8")||
      shExpMatch(host, "35.214.235.38")||
      shExpMatch(host, "35.214.237.105")||
      shExpMatch(host, "35.214.237.122")||
      shExpMatch(host, "35.214.237.216")||
      shExpMatch(host, "35.214.238.32")||
      shExpMatch(host, "35.214.238.59")||
      shExpMatch(host, "35.214.238.121")||
      shExpMatch(host, "35.214.239.77")||
      shExpMatch(host, "35.214.239.161")||
      shExpMatch(host, "35.214.240.87")||
      shExpMatch(host, "35.214.241.18")||
      shExpMatch(host, "35.214.241.107")||
      shExpMatch(host, "35.214.241.224")||
      shExpMatch(host, "35.214.243.21")||
      shExpMatch(host, "35.214.244.45")||
      shExpMatch(host, "35.214.244.113")||
      shExpMatch(host, "35.214.244.123")||
      shExpMatch(host, "35.214.244.177")||
      shExpMatch(host, "35.214.245.20")||
      shExpMatch(host, "35.214.245.24")||
      shExpMatch(host, "35.214.246.106")||
      shExpMatch(host, "35.214.248.119")||
      shExpMatch(host, "35.214.249.154")||
      shExpMatch(host, "35.214.250.20")||
      shExpMatch(host, "35.214.250.53")||
      shExpMatch(host, "35.214.250.201")||
      shExpMatch(host, "35.214.251.129")||
      shExpMatch(host, "35.214.251.200")||
      shExpMatch(host, "35.214.252.187")||
      shExpMatch(host, "35.214.253.49")||
      shExpMatch(host, "35.214.253.172")||
      shExpMatch(host, "35.214.255.154")||
      shExpMatch(host, "35.215.72.85")||
      shExpMatch(host, "35.215.73.65")||
      shExpMatch(host, "35.215.83.0")||
      shExpMatch(host, "35.215.108.111")||
      shExpMatch(host, "35.215.115.120")||
      shExpMatch(host, "35.215.126.35")||
      shExpMatch(host, "35.215.127.34")||
      shExpMatch(host, "35.215.128.17")||
      shExpMatch(host, "35.215.128.82")||
      shExpMatch(host, "35.215.128.96")||
      shExpMatch(host, "35.215.128.114")||
      shExpMatch(host, "35.215.128.119")||
      shExpMatch(host, "35.215.128.156")||
      shExpMatch(host, "35.215.129.29")||
      shExpMatch(host, "35.215.129.101")||
      shExpMatch(host, "35.215.129.135")||
      shExpMatch(host, "35.215.130.17")||
      shExpMatch(host, "35.215.130.27")||
      shExpMatch(host, "35.215.130.215")||
      shExpMatch(host, "35.215.131.84")||
      shExpMatch(host, "35.215.131.163")||
      shExpMatch(host, "35.215.132.16")||
      shExpMatch(host, "35.215.132.50")||
      shExpMatch(host, "35.215.132.235")||
      shExpMatch(host, "35.215.133.38")||
      shExpMatch(host, "35.215.133.52")||
      shExpMatch(host, "35.215.133.140")||
      shExpMatch(host, "35.215.133.153")||
      shExpMatch(host, "35.215.133.201")||
      shExpMatch(host, "35.215.133.227")||
      shExpMatch(host, "35.215.134.20")||
      shExpMatch(host, "35.215.134.100")||
      shExpMatch(host, "35.215.134.206")||
      shExpMatch(host, "35.215.134.229")||
      shExpMatch(host, "35.215.135.22")||
      shExpMatch(host, "35.215.135.26")||
      shExpMatch(host, "35.215.135.60")||
      shExpMatch(host, "35.215.135.74")||
      shExpMatch(host, "35.215.135.110")||
      shExpMatch(host, "35.215.135.166")||
      shExpMatch(host, "35.215.135.204")||
      shExpMatch(host, "35.215.136.22")||
      shExpMatch(host, "35.215.136.46")||
      shExpMatch(host, "35.215.136.54")||
      shExpMatch(host, "35.215.137.31")||
      shExpMatch(host, "35.215.137.92")||
      shExpMatch(host, "35.215.137.124")||
      shExpMatch(host, "35.215.137.189")||
      shExpMatch(host, "35.215.137.207")||
      shExpMatch(host, "35.215.137.209")||
      shExpMatch(host, "35.215.137.228")||
      shExpMatch(host, "35.215.138.4")||
      shExpMatch(host, "35.215.138.109")||
      shExpMatch(host, "35.215.138.188")||
      shExpMatch(host, "35.215.138.200")||
      shExpMatch(host, "35.215.138.214")||
      shExpMatch(host, "35.215.139.16")||
      shExpMatch(host, "35.215.139.83")||
      shExpMatch(host, "35.215.139.130")||
      shExpMatch(host, "35.215.140.7")||
      shExpMatch(host, "35.215.140.14")||
      shExpMatch(host, "35.215.140.62")||
      shExpMatch(host, "35.215.140.217")||
      shExpMatch(host, "35.215.141.70")||
      shExpMatch(host, "35.215.141.82")||
      shExpMatch(host, "35.215.142.0")||
      shExpMatch(host, "35.215.142.24")||
      shExpMatch(host, "35.215.142.124")||
      shExpMatch(host, "35.215.142.161")||
      shExpMatch(host, "35.215.142.227")||
      shExpMatch(host, "35.215.143.83")||
      shExpMatch(host, "35.215.144.185")||
      shExpMatch(host, "35.215.144.227")||
      shExpMatch(host, "35.215.145.76")||
      shExpMatch(host, "35.215.145.104")||
      shExpMatch(host, "35.215.145.130")||
      shExpMatch(host, "35.215.145.238")||
      shExpMatch(host, "35.215.145.243")||
      shExpMatch(host, "35.215.146.118")||
      shExpMatch(host, "35.215.146.186")||
      shExpMatch(host, "35.215.146.191")||
      shExpMatch(host, "35.215.147.86")||
      shExpMatch(host, "35.215.148.37")||
      shExpMatch(host, "35.215.148.137")||
      shExpMatch(host, "35.215.149.7")||
      shExpMatch(host, "35.215.149.27")||
      shExpMatch(host, "35.215.149.161")||
      shExpMatch(host, "35.215.149.186")||
      shExpMatch(host, "35.215.150.16")||
      shExpMatch(host, "35.215.150.37")||
      shExpMatch(host, "35.215.151.119")||
      shExpMatch(host, "35.215.151.127")||
      shExpMatch(host, "35.215.151.133")||
      shExpMatch(host, "35.215.151.224")||
      shExpMatch(host, "35.215.152.0")||
      shExpMatch(host, "35.215.152.61")||
      shExpMatch(host, "35.215.152.150")||
      shExpMatch(host, "35.215.152.167")||
      shExpMatch(host, "35.215.152.198")||
      shExpMatch(host, "35.215.152.246")||
      shExpMatch(host, "35.215.153.180")||
      shExpMatch(host, "35.215.153.203")||
      shExpMatch(host, "35.215.154.245")||
      shExpMatch(host, "35.215.154.252")||
      shExpMatch(host, "35.215.155.20")||
      shExpMatch(host, "35.215.156.15")||
      shExpMatch(host, "35.215.156.34")||
      shExpMatch(host, "35.215.156.45")||
      shExpMatch(host, "35.215.156.161")||
      shExpMatch(host, "35.215.158.87")||
      shExpMatch(host, "35.215.158.88")||
      shExpMatch(host, "35.215.158.253")||
      shExpMatch(host, "35.215.159.62")||
      shExpMatch(host, "35.215.159.122")||
      shExpMatch(host, "35.215.159.142")||
      shExpMatch(host, "35.215.160.212")||
      shExpMatch(host, "35.215.160.253")||
      shExpMatch(host, "35.215.161.11")||
      shExpMatch(host, "35.215.161.86")||
      shExpMatch(host, "35.215.161.122")||
      shExpMatch(host, "35.215.161.215")||
      shExpMatch(host, "35.215.161.239")||
      shExpMatch(host, "35.215.163.32")||
      shExpMatch(host, "35.215.163.110")||
      shExpMatch(host, "35.215.163.142")||
      shExpMatch(host, "35.215.163.155")||
      shExpMatch(host, "35.215.163.246")||
      shExpMatch(host, "35.215.163.248")||
      shExpMatch(host, "35.215.164.77")||
      shExpMatch(host, "35.215.164.206")||
      shExpMatch(host, "35.215.164.210")||
      shExpMatch(host, "35.215.164.217")||
      shExpMatch(host, "35.215.165.236")||
      shExpMatch(host, "35.215.166.139")||
      shExpMatch(host, "35.215.166.153")||
      shExpMatch(host, "35.215.166.170")||
      shExpMatch(host, "35.215.166.242")||
      shExpMatch(host, "35.215.167.173")||
      shExpMatch(host, "35.215.167.182")||
      shExpMatch(host, "35.215.167.187")||
      shExpMatch(host, "35.215.167.195")||
      shExpMatch(host, "35.215.168.28")||
      shExpMatch(host, "35.215.168.169")||
      shExpMatch(host, "35.215.169.12")||
      shExpMatch(host, "35.215.170.6")||
      shExpMatch(host, "35.215.170.78")||
      shExpMatch(host, "35.215.170.227")||
      shExpMatch(host, "35.215.171.60")||
      shExpMatch(host, "35.215.171.183")||
      shExpMatch(host, "35.215.171.225")||
      shExpMatch(host, "35.215.172.11")||
      shExpMatch(host, "35.215.172.57")||
      shExpMatch(host, "35.215.172.62")||
      shExpMatch(host, "35.215.172.126")||
      shExpMatch(host, "35.215.172.194")||
      shExpMatch(host, "35.215.173.8")||
      shExpMatch(host, "35.215.173.207")||
      shExpMatch(host, "35.215.174.20")||
      shExpMatch(host, "35.215.174.209")||
      shExpMatch(host, "35.215.174.221")||
      shExpMatch(host, "35.215.175.32")||
      shExpMatch(host, "35.215.175.136")||
      shExpMatch(host, "35.215.176.39")||
      shExpMatch(host, "35.215.176.164")||
      shExpMatch(host, "35.215.176.206/31")||
      shExpMatch(host, "35.215.177.72")||
      shExpMatch(host, "35.215.178.3")||
      shExpMatch(host, "35.215.178.27")||
      shExpMatch(host, "35.215.178.62")||
      shExpMatch(host, "35.215.178.140")||
      shExpMatch(host, "35.215.178.175")||
      shExpMatch(host, "35.215.178.250")||
      shExpMatch(host, "35.215.179.161")||
      shExpMatch(host, "35.215.180.1")||
      shExpMatch(host, "35.215.180.23")||
      shExpMatch(host, "35.215.180.66")||
      shExpMatch(host, "35.215.180.148")||
      shExpMatch(host, "35.215.181.51")||
      shExpMatch(host, "35.215.181.90")||
      shExpMatch(host, "35.215.181.111")||
      shExpMatch(host, "35.215.181.187")||
      shExpMatch(host, "35.215.182.48")||
      shExpMatch(host, "35.215.182.186")||
      shExpMatch(host, "35.215.183.95")||
      shExpMatch(host, "35.215.183.109")||
      shExpMatch(host, "35.215.183.194")||
      shExpMatch(host, "35.215.184.253")||
      shExpMatch(host, "35.215.185.64")||
      shExpMatch(host, "35.215.185.106")||
      shExpMatch(host, "35.215.186.46")||
      shExpMatch(host, "35.215.186.56")||
      shExpMatch(host, "35.215.186.91")||
      shExpMatch(host, "35.215.186.99")||
      shExpMatch(host, "35.215.187.91")||
      shExpMatch(host, "35.215.187.112")||
      shExpMatch(host, "35.215.187.120")||
      shExpMatch(host, "35.215.187.173")||
      shExpMatch(host, "35.215.188.122")||
      shExpMatch(host, "35.215.188.164")||
      shExpMatch(host, "35.215.188.178")||
      shExpMatch(host, "35.215.188.204")||
      shExpMatch(host, "35.215.189.9")||
      shExpMatch(host, "35.215.189.53")||
      shExpMatch(host, "35.215.189.119")||
      shExpMatch(host, "35.215.189.137")||
      shExpMatch(host, "35.215.190.51")||
      shExpMatch(host, "35.215.190.110")||
      shExpMatch(host, "35.215.190.209")||
      shExpMatch(host, "35.215.191.61")||
      shExpMatch(host, "35.215.192.103")||
      shExpMatch(host, "35.215.192.221")||
      shExpMatch(host, "35.215.192.246")||
      shExpMatch(host, "35.215.193.33")||
      shExpMatch(host, "35.215.193.63")||
      shExpMatch(host, "35.215.193.92")||
      shExpMatch(host, "35.215.193.229")||
      shExpMatch(host, "35.215.194.198")||
      shExpMatch(host, "35.215.194.205")||
      shExpMatch(host, "35.215.195.9")||
      shExpMatch(host, "35.215.195.46")||
      shExpMatch(host, "35.215.195.107")||
      shExpMatch(host, "35.215.195.137")||
      shExpMatch(host, "35.215.195.169")||
      shExpMatch(host, "35.215.195.176")||
      shExpMatch(host, "35.215.195.235")||
      shExpMatch(host, "35.215.196.3")||
      shExpMatch(host, "35.215.196.48")||
      shExpMatch(host, "35.215.196.76")||
      shExpMatch(host, "35.215.196.96")||
      shExpMatch(host, "35.215.197.24")||
      shExpMatch(host, "35.215.197.74")||
      shExpMatch(host, "35.215.198.230")||
      shExpMatch(host, "35.215.199.204")||
      shExpMatch(host, "35.215.200.23")||
      shExpMatch(host, "35.215.200.61")||
      shExpMatch(host, "35.215.200.129")||
      shExpMatch(host, "35.215.201.54")||
      shExpMatch(host, "35.215.201.125")||
      shExpMatch(host, "35.215.201.162")||
      shExpMatch(host, "35.215.202.1")||
      shExpMatch(host, "35.215.202.25")||
      shExpMatch(host, "35.215.202.91")||
      shExpMatch(host, "35.215.202.129")||
      shExpMatch(host, "35.215.202.211")||
      shExpMatch(host, "35.215.203.17")||
      shExpMatch(host, "35.215.203.113")||
      shExpMatch(host, "35.215.204.134")||
      shExpMatch(host, "35.215.204.214")||
      shExpMatch(host, "35.215.204.249")||
      shExpMatch(host, "35.215.205.27")||
      shExpMatch(host, "35.215.205.94")||
      shExpMatch(host, "35.215.206.41")||
      shExpMatch(host, "35.215.206.172")||
      shExpMatch(host, "35.215.206.255")||
      shExpMatch(host, "35.215.207.11")||
      shExpMatch(host, "35.215.207.54")||
      shExpMatch(host, "35.215.207.120")||
      shExpMatch(host, "35.215.207.145")||
      shExpMatch(host, "35.215.207.168")||
      shExpMatch(host, "35.215.208.21")||
      shExpMatch(host, "35.215.208.97")||
      shExpMatch(host, "35.215.208.216")||
      shExpMatch(host, "35.215.209.33")||
      shExpMatch(host, "35.215.209.81")||
      shExpMatch(host, "35.215.209.104")||
      shExpMatch(host, "35.215.210.45")||
      shExpMatch(host, "35.215.210.71")||
      shExpMatch(host, "35.215.210.105")||
      shExpMatch(host, "35.215.210.156")||
      shExpMatch(host, "35.215.210.162")||
      shExpMatch(host, "35.215.210.252")||
      shExpMatch(host, "35.215.211.12")||
      shExpMatch(host, "35.215.211.129")||
      shExpMatch(host, "35.215.211.170")||
      shExpMatch(host, "35.215.211.173")||
      shExpMatch(host, "35.215.211.235")||
      shExpMatch(host, "35.215.211.242")||
      shExpMatch(host, "35.215.212.6")||
      shExpMatch(host, "35.215.212.48")||
      shExpMatch(host, "35.215.212.95")||
      shExpMatch(host, "35.215.212.194")||
      shExpMatch(host, "35.215.212.214")||
      shExpMatch(host, "35.215.213.24")||
      shExpMatch(host, "35.215.213.38")||
      shExpMatch(host, "35.215.213.99")||
      shExpMatch(host, "35.215.213.106")||
      shExpMatch(host, "35.215.213.135")||
      shExpMatch(host, "35.215.213.188")||
      shExpMatch(host, "35.215.213.242")||
      shExpMatch(host, "35.215.213.250")||
      shExpMatch(host, "35.215.214.71")||
      shExpMatch(host, "35.215.214.87")||
      shExpMatch(host, "35.215.214.139")||
      shExpMatch(host, "35.215.214.200")||
      shExpMatch(host, "35.215.214.252")||
      shExpMatch(host, "35.215.215.14")||
      shExpMatch(host, "35.215.215.45")||
      shExpMatch(host, "35.215.215.58")||
      shExpMatch(host, "35.215.215.196")||
      shExpMatch(host, "35.215.216.38")||
      shExpMatch(host, "35.215.216.99")||
      shExpMatch(host, "35.215.216.229")||
      shExpMatch(host, "35.215.217.16")||
      shExpMatch(host, "35.215.217.45")||
      shExpMatch(host, "35.215.217.86")||
      shExpMatch(host, "35.215.217.192")||
      shExpMatch(host, "35.215.218.16")||
      shExpMatch(host, "35.215.218.57")||
      shExpMatch(host, "35.215.218.63")||
      shExpMatch(host, "35.215.218.91")||
      shExpMatch(host, "35.215.218.147")||
      shExpMatch(host, "35.215.218.158")||
      shExpMatch(host, "35.215.219.53")||
      shExpMatch(host, "35.215.219.79")||
      shExpMatch(host, "35.215.219.112")||
      shExpMatch(host, "35.215.219.224")||
      shExpMatch(host, "35.215.221.16")||
      shExpMatch(host, "35.215.221.57")||
      shExpMatch(host, "35.215.221.163")||
      shExpMatch(host, "35.215.221.212")||
      shExpMatch(host, "35.215.221.254")||
      shExpMatch(host, "35.215.222.165")||
      shExpMatch(host, "35.215.222.229")||
      shExpMatch(host, "35.215.223.126")||
      shExpMatch(host, "35.215.224.10")||
      shExpMatch(host, "35.215.224.23")||
      shExpMatch(host, "35.215.224.242")||
      shExpMatch(host, "35.215.225.66")||
      shExpMatch(host, "35.215.225.84")||
      shExpMatch(host, "35.215.225.117")||
      shExpMatch(host, "35.215.225.227")||
      shExpMatch(host, "35.215.225.244")||
      shExpMatch(host, "35.215.226.28")||
      shExpMatch(host, "35.215.226.32")||
      shExpMatch(host, "35.215.226.107")||
      shExpMatch(host, "35.215.226.219")||
      shExpMatch(host, "35.215.227.12")||
      shExpMatch(host, "35.215.227.51")||
      shExpMatch(host, "35.215.227.92")||
      shExpMatch(host, "35.215.228.48")||
      shExpMatch(host, "35.215.228.84")||
      shExpMatch(host, "35.215.228.108")||
      shExpMatch(host, "35.215.228.202")||
      shExpMatch(host, "35.215.228.217")||
      shExpMatch(host, "35.215.229.64")||
      shExpMatch(host, "35.215.230.89")||
      shExpMatch(host, "35.215.231.83")||
      shExpMatch(host, "35.215.231.192")||
      shExpMatch(host, "35.215.232.28")||
      shExpMatch(host, "35.215.232.74")||
      shExpMatch(host, "35.215.232.139")||
      shExpMatch(host, "35.215.232.170")||
      shExpMatch(host, "35.215.232.209")||
      shExpMatch(host, "35.215.233.63")||
      shExpMatch(host, "35.215.233.91")||
      shExpMatch(host, "35.215.234.37")||
      shExpMatch(host, "35.215.235.62")||
      shExpMatch(host, "35.215.235.111")||
      shExpMatch(host, "35.215.235.191")||
      shExpMatch(host, "35.215.235.255")||
      shExpMatch(host, "35.215.238.18")||
      shExpMatch(host, "35.215.238.83")||
      shExpMatch(host, "35.215.239.119")||
      shExpMatch(host, "35.215.240.95")||
      shExpMatch(host, "35.215.240.163")||
      shExpMatch(host, "35.215.240.194")||
      shExpMatch(host, "35.215.240.210")||
      shExpMatch(host, "35.215.241.169")||
      shExpMatch(host, "35.215.241.180")||
      shExpMatch(host, "35.215.241.208")||
      shExpMatch(host, "35.215.241.213")||
      shExpMatch(host, "35.215.242.17")||
      shExpMatch(host, "35.215.242.110")||
      shExpMatch(host, "35.215.243.48")||
      shExpMatch(host, "35.215.243.204")||
      shExpMatch(host, "35.215.244.27")||
      shExpMatch(host, "35.215.244.178")||
      shExpMatch(host, "35.215.244.246")||
      shExpMatch(host, "35.215.244.250")||
      shExpMatch(host, "35.215.245.31")||
      shExpMatch(host, "35.215.245.39")||
      shExpMatch(host, "35.215.245.50")||
      shExpMatch(host, "35.215.245.142")||
      shExpMatch(host, "35.215.245.167")||
      shExpMatch(host, "35.215.245.193")||
      shExpMatch(host, "35.215.246.222")||
      shExpMatch(host, "35.215.247.92")||
      shExpMatch(host, "35.215.247.144")||
      shExpMatch(host, "35.215.247.162")||
      shExpMatch(host, "35.215.247.167")||
      shExpMatch(host, "35.215.247.178")||
      shExpMatch(host, "35.215.248.66")||
      shExpMatch(host, "35.215.248.79")||
      shExpMatch(host, "35.215.248.166")||
      shExpMatch(host, "35.215.248.200")||
      shExpMatch(host, "35.215.248.240")||
      shExpMatch(host, "35.215.249.48")||
      shExpMatch(host, "35.215.249.95")||
      shExpMatch(host, "35.215.249.172")||
      shExpMatch(host, "35.215.250.41")||
      shExpMatch(host, "35.215.250.121")||
      shExpMatch(host, "35.215.250.139")||
      shExpMatch(host, "35.215.251.1")||
      shExpMatch(host, "35.215.251.138")||
      shExpMatch(host, "35.215.251.141")||
      shExpMatch(host, "35.215.251.234")||
      shExpMatch(host, "35.215.252.41")||
      shExpMatch(host, "35.215.252.68")||
      shExpMatch(host, "35.215.252.88")||
      shExpMatch(host, "35.215.252.132")||
      shExpMatch(host, "35.215.252.190")||
      shExpMatch(host, "35.215.253.118")||
      shExpMatch(host, "35.215.254.122")||
      shExpMatch(host, "35.215.254.164")||
      shExpMatch(host, "35.215.254.217")||
      shExpMatch(host, "35.215.255.85")||
      shExpMatch(host, "35.215.255.86")||
      shExpMatch(host, "35.215.255.112")||
      shExpMatch(host, "35.215.255.186")||
      shExpMatch(host, "35.217.0.79")||
      shExpMatch(host, "35.217.0.236")||
      shExpMatch(host, "35.217.1.86")||
      shExpMatch(host, "35.217.1.111")||
      shExpMatch(host, "35.217.1.126")||
      shExpMatch(host, "35.217.2.5")||
      shExpMatch(host, "35.217.3.104")||
      shExpMatch(host, "35.217.3.205")||
      shExpMatch(host, "35.217.4.72")||
      shExpMatch(host, "35.217.5.33")||
      shExpMatch(host, "35.217.5.109")||
      shExpMatch(host, "35.217.6.22")||
      shExpMatch(host, "35.217.6.59")||
      shExpMatch(host, "35.217.6.148")||
      shExpMatch(host, "35.217.6.227")||
      shExpMatch(host, "35.217.8.35")||
      shExpMatch(host, "35.217.8.38")||
      shExpMatch(host, "35.217.8.99")||
      shExpMatch(host, "35.217.9.8")||
      shExpMatch(host, "35.217.9.33")||
      shExpMatch(host, "35.217.9.205")||
      shExpMatch(host, "35.217.11.186")||
      shExpMatch(host, "35.217.12.91")||
      shExpMatch(host, "35.217.12.101")||
      shExpMatch(host, "35.217.12.133")||
      shExpMatch(host, "35.217.12.192")||
      shExpMatch(host, "35.217.12.204")||
      shExpMatch(host, "35.217.14.209")||
      shExpMatch(host, "35.217.14.238")||
      shExpMatch(host, "35.217.15.65")||
      shExpMatch(host, "35.217.16.75")||
      shExpMatch(host, "35.217.17.180")||
      shExpMatch(host, "35.217.17.234")||
      shExpMatch(host, "35.217.18.14")||
      shExpMatch(host, "35.217.18.57")||
      shExpMatch(host, "35.217.18.105")||
      shExpMatch(host, "35.217.18.142")||
      shExpMatch(host, "35.217.19.183")||
      shExpMatch(host, "35.217.20.11")||
      shExpMatch(host, "35.217.20.32")||
      shExpMatch(host, "35.217.20.83")||
      shExpMatch(host, "35.217.20.158")||
      shExpMatch(host, "35.217.20.178")||
      shExpMatch(host, "35.217.20.185")||
      shExpMatch(host, "35.217.20.199")||
      shExpMatch(host, "35.217.21.143")||
      shExpMatch(host, "35.217.21.226")||
      shExpMatch(host, "35.217.22.131")||
      shExpMatch(host, "35.217.22.170")||
      shExpMatch(host, "35.217.22.255")||
      shExpMatch(host, "35.217.23.172")||
      shExpMatch(host, "35.217.23.193")||
      shExpMatch(host, "35.217.24.25")||
      shExpMatch(host, "35.217.24.53")||
      shExpMatch(host, "35.217.24.139")||
      shExpMatch(host, "35.217.24.173")||
      shExpMatch(host, "35.217.25.81")||
      shExpMatch(host, "35.217.26.127")||
      shExpMatch(host, "35.217.26.195")||
      shExpMatch(host, "35.217.26.214")||
      shExpMatch(host, "35.217.27.170")||
      shExpMatch(host, "35.217.27.203")||
      shExpMatch(host, "35.217.28.178")||
      shExpMatch(host, "35.217.28.218")||
      shExpMatch(host, "35.217.29.98")||
      shExpMatch(host, "35.217.29.126")||
      shExpMatch(host, "35.217.29.174")||
      shExpMatch(host, "35.217.29.217")||
      shExpMatch(host, "35.217.30.9")||
      shExpMatch(host, "35.217.30.49")||
      shExpMatch(host, "35.217.30.104")||
      shExpMatch(host, "35.217.31.57")||
      shExpMatch(host, "35.217.31.96")||
      shExpMatch(host, "35.217.32.164")||
      shExpMatch(host, "35.217.32.235")||
      shExpMatch(host, "35.217.33.19")||
      shExpMatch(host, "35.217.33.65")||
      shExpMatch(host, "35.217.33.156")||
      shExpMatch(host, "35.217.33.158")||
      shExpMatch(host, "35.217.33.182")||
      shExpMatch(host, "35.217.35.141")||
      shExpMatch(host, "35.217.35.208")||
      shExpMatch(host, "35.217.36.17")||
      shExpMatch(host, "35.217.36.213")||
      shExpMatch(host, "35.217.37.16")||
      shExpMatch(host, "35.217.37.129")||
      shExpMatch(host, "35.217.37.253")||
      shExpMatch(host, "35.217.38.179")||
      shExpMatch(host, "35.217.39.186")||
      shExpMatch(host, "35.217.40.176")||
      shExpMatch(host, "35.217.41.204")||
      shExpMatch(host, "35.217.43.79")||
      shExpMatch(host, "35.217.43.140")||
      shExpMatch(host, "35.217.45.248")||
      shExpMatch(host, "35.217.46.15")||
      shExpMatch(host, "35.217.46.78")||
      shExpMatch(host, "35.217.46.140")||
      shExpMatch(host, "35.217.47.131")||
      shExpMatch(host, "35.217.47.222")||
      shExpMatch(host, "35.217.47.254")||
      shExpMatch(host, "35.217.48.195")||
      shExpMatch(host, "35.217.49.168")||
      shExpMatch(host, "35.217.49.182")||
      shExpMatch(host, "35.217.50.26")||
      shExpMatch(host, "35.217.50.72")||
      shExpMatch(host, "35.217.51.20")||
      shExpMatch(host, "35.217.51.134")||
      shExpMatch(host, "35.217.51.222")||
      shExpMatch(host, "35.217.52.117")||
      shExpMatch(host, "35.217.53.169")||
      shExpMatch(host, "35.217.53.212")||
      shExpMatch(host, "35.217.54.5")||
      shExpMatch(host, "35.217.54.27")||
      shExpMatch(host, "35.217.54.61")||
      shExpMatch(host, "35.217.54.66")||
      shExpMatch(host, "35.217.54.115")||
      shExpMatch(host, "35.217.55.107")||
      shExpMatch(host, "35.217.55.117")||
      shExpMatch(host, "35.217.56.6")||
      shExpMatch(host, "35.217.57.184")||
      shExpMatch(host, "35.217.58.122")||
      shExpMatch(host, "35.217.58.198")||
      shExpMatch(host, "35.217.59.87")||
      shExpMatch(host, "35.217.59.122")||
      shExpMatch(host, "35.217.60.82")||
      shExpMatch(host, "35.217.60.145")||
      shExpMatch(host, "35.217.60.234")||
      shExpMatch(host, "35.217.61.131")||
      shExpMatch(host, "35.217.61.216")||
      shExpMatch(host, "35.217.62.48")||
      shExpMatch(host, "35.217.62.165")||
      shExpMatch(host, "35.217.62.183")||
      shExpMatch(host, "35.217.63.144")||
      shExpMatch(host, "35.217.63.200")||
      shExpMatch(host, "35.219.225.149")||
      shExpMatch(host, "35.219.226.57")||
      shExpMatch(host, "35.219.227.31")||
      shExpMatch(host, "35.219.227.163")||
      shExpMatch(host, "35.219.228.37")||
      shExpMatch(host, "35.219.229.159")||
      shExpMatch(host, "35.219.229.187")||
      shExpMatch(host, "35.219.229.248")||
      shExpMatch(host, "35.219.230.51")||
      shExpMatch(host, "35.219.230.140")||
      shExpMatch(host, "35.219.230.238")||
      shExpMatch(host, "35.219.231.60")||
      shExpMatch(host, "35.219.231.131")||
      shExpMatch(host, "35.219.231.247")||
      shExpMatch(host, "35.219.235.32")||
      shExpMatch(host, "35.219.235.52")||
      shExpMatch(host, "35.219.235.98")||
      shExpMatch(host, "35.219.235.195")||
      shExpMatch(host, "35.219.235.248")||
      shExpMatch(host, "35.219.236.198")||
      shExpMatch(host, "35.219.238.115")||
      shExpMatch(host, "35.219.239.85")||
      shExpMatch(host, "35.219.239.132")||
      shExpMatch(host, "35.219.241.52")||
      shExpMatch(host, "35.219.241.142")||
      shExpMatch(host, "35.219.241.191")||
      shExpMatch(host, "35.219.242.221")||
      shExpMatch(host, "35.219.243.191")||
      shExpMatch(host, "35.219.244.1")||
      shExpMatch(host, "35.219.245.45")||
      shExpMatch(host, "35.219.245.56")||
      shExpMatch(host, "35.219.245.221")||
      shExpMatch(host, "35.219.246.159")||
      shExpMatch(host, "35.219.247.14")||
      shExpMatch(host, "35.219.247.35")||
      shExpMatch(host, "35.219.248.63")||
      shExpMatch(host, "35.219.248.230")||
      shExpMatch(host, "35.219.249.126")||
      shExpMatch(host, "35.219.251.186")||
      shExpMatch(host, "35.219.252.64")||
      shExpMatch(host, "35.219.252.135")||
      shExpMatch(host, "35.219.253.38")||
      shExpMatch(host, "35.219.253.218")||
      shExpMatch(host, "35.219.254.63")||
      shExpMatch(host, "35.219.254.67")||
      shExpMatch(host, "35.219.254.197")||
      shExpMatch(host, "35.219.254.233")||
      shExpMatch(host, "64.233.161.207")||
      shExpMatch(host, "64.233.162.207")||
      shExpMatch(host, "64.233.163.207")||
      shExpMatch(host, "64.233.164.207")||
      shExpMatch(host, "64.233.165.207")||
      shExpMatch(host, "66.22.196.4")||
      shExpMatch(host, "66.22.196.6/31")||
      shExpMatch(host, "66.22.196.8/29")||
      shExpMatch(host, "66.22.196.16/28")||
      shExpMatch(host, "66.22.196.32/28")||
      shExpMatch(host, "66.22.196.48/30")||
      shExpMatch(host, "66.22.197.40")||
      shExpMatch(host, "66.22.197.42")||
      shExpMatch(host, "66.22.197.45")||
      shExpMatch(host, "66.22.197.46/31")||
      shExpMatch(host, "66.22.197.48/31")||
      shExpMatch(host, "66.22.197.53")||
      shExpMatch(host, "66.22.197.54/31")||
      shExpMatch(host, "66.22.197.59")||
      shExpMatch(host, "66.22.197.78/31")||
      shExpMatch(host, "66.22.197.80/31")||
      shExpMatch(host, "66.22.197.82")||
      shExpMatch(host, "66.22.197.85")||
      shExpMatch(host, "66.22.197.86/31")||
      shExpMatch(host, "66.22.197.88/31")||
      shExpMatch(host, "66.22.197.91")||
      shExpMatch(host, "66.22.197.92/30")||
      shExpMatch(host, "66.22.197.96/30")||
      shExpMatch(host, "66.22.197.131")||
      shExpMatch(host, "66.22.197.132/31")||
      shExpMatch(host, "66.22.197.134")||
      shExpMatch(host, "66.22.197.136/31")||
      shExpMatch(host, "66.22.197.138")||
      shExpMatch(host, "66.22.197.140/31")||
      shExpMatch(host, "66.22.198.4/30")||
      shExpMatch(host, "66.22.198.8/29")||
      shExpMatch(host, "66.22.198.16/29")||
      shExpMatch(host, "66.22.198.24/30")||
      shExpMatch(host, "66.22.198.28/31")||
      shExpMatch(host, "66.22.198.30")||
      shExpMatch(host, "66.22.198.34/31")||
      shExpMatch(host, "66.22.198.36/31")||
      shExpMatch(host, "66.22.198.39")||
      shExpMatch(host, "66.22.198.40/29")||
      shExpMatch(host, "66.22.198.48")||
      shExpMatch(host, "66.22.198.50/31")||
      shExpMatch(host, "66.22.198.53")||
      shExpMatch(host, "66.22.198.54/31")||
      shExpMatch(host, "66.22.199.22/31")||
      shExpMatch(host, "66.22.199.27")||
      shExpMatch(host, "66.22.199.33")||
      shExpMatch(host, "66.22.199.34/31")||
      shExpMatch(host, "66.22.199.37")||
      shExpMatch(host, "66.22.199.40")||
      shExpMatch(host, "66.22.199.42")||
      shExpMatch(host, "66.22.199.45")||
      shExpMatch(host, "66.22.199.46")||
      shExpMatch(host, "66.22.199.48")||
      shExpMatch(host, "66.22.199.55")||
      shExpMatch(host, "66.22.199.77")||
      shExpMatch(host, "66.22.199.81")||
      shExpMatch(host, "66.22.199.82/31")||
      shExpMatch(host, "66.22.199.84/30")||
      shExpMatch(host, "66.22.199.89")||
      shExpMatch(host, "66.22.199.90/31")||
      shExpMatch(host, "66.22.199.92/30")||
      shExpMatch(host, "66.22.199.96/29")||
      shExpMatch(host, "66.22.199.104/31")||
      shExpMatch(host, "66.22.199.107")||
      shExpMatch(host, "66.22.199.138")||
      shExpMatch(host, "66.22.200.10")||
      shExpMatch(host, "66.22.200.12")||
      shExpMatch(host, "66.22.200.21")||
      shExpMatch(host, "66.22.200.22/31")||
      shExpMatch(host, "66.22.200.24/29")||
      shExpMatch(host, "66.22.200.32")||
      shExpMatch(host, "66.22.200.34/31")||
      shExpMatch(host, "66.22.200.36/30")||
      shExpMatch(host, "66.22.200.40/29")||
      shExpMatch(host, "66.22.200.48/28")||
      shExpMatch(host, "66.22.202.4/31")||
      shExpMatch(host, "66.22.202.6")||
      shExpMatch(host, "66.22.202.8")||
      shExpMatch(host, "66.22.202.10/31")||
      shExpMatch(host, "66.22.202.12")||
      shExpMatch(host, "66.22.202.14")||
      shExpMatch(host, "66.22.202.20/30")||
      shExpMatch(host, "66.22.202.24/29")||
      shExpMatch(host, "66.22.202.32/31")||
      shExpMatch(host, "66.22.202.36")||
      shExpMatch(host, "66.22.202.40/29")||
      shExpMatch(host, "66.22.202.48/29")||
      shExpMatch(host, "66.22.202.56")||
      shExpMatch(host, "66.22.204.17")||
      shExpMatch(host, "66.22.204.18/31")||
      shExpMatch(host, "66.22.204.20")||
      shExpMatch(host, "66.22.204.37")||
      shExpMatch(host, "66.22.204.38/31")||
      shExpMatch(host, "66.22.204.40/30")||
      shExpMatch(host, "66.22.204.44/31")||
      shExpMatch(host, "66.22.204.67")||
      shExpMatch(host, "66.22.204.70")||
      shExpMatch(host, "66.22.204.75")||
      shExpMatch(host, "66.22.204.111")||
      shExpMatch(host, "66.22.204.164/30")||
      shExpMatch(host, "66.22.204.168")||
      shExpMatch(host, "66.22.204.170/31")||
      shExpMatch(host, "66.22.204.172/31")||
      shExpMatch(host, "66.22.204.175")||
      shExpMatch(host, "66.22.204.176/28")||
      shExpMatch(host, "66.22.204.192/31")||
      shExpMatch(host, "66.22.204.194")||
      shExpMatch(host, "66.22.206.11")||
      shExpMatch(host, "66.22.206.12/30")||
      shExpMatch(host, "66.22.206.16/31")||
      shExpMatch(host, "66.22.206.18")||
      shExpMatch(host, "66.22.206.32")||
      shExpMatch(host, "66.22.206.34/31")||
      shExpMatch(host, "66.22.206.36")||
      shExpMatch(host, "66.22.206.55")||
      shExpMatch(host, "66.22.206.56/30")||
      shExpMatch(host, "66.22.206.60/31")||
      shExpMatch(host, "66.22.206.102")||
      shExpMatch(host, "66.22.206.161")||
      shExpMatch(host, "66.22.206.163")||
      shExpMatch(host, "66.22.206.164/31")||
      shExpMatch(host, "66.22.206.167")||
      shExpMatch(host, "66.22.206.168/29")||
      shExpMatch(host, "66.22.206.176/30")||
      shExpMatch(host, "66.22.206.180/31")||
      shExpMatch(host, "66.22.206.182")||
      shExpMatch(host, "66.22.208.4/31")||
      shExpMatch(host, "66.22.208.14/31")||
      shExpMatch(host, "66.22.208.16/28")||
      shExpMatch(host, "66.22.208.32/28")||
      shExpMatch(host, "66.22.208.48/31")||
      shExpMatch(host, "66.22.208.50")||
      shExpMatch(host, "66.22.208.52")||
      shExpMatch(host, "66.22.208.55")||
      shExpMatch(host, "66.22.208.64")||
      shExpMatch(host, "66.22.210.4")||
      shExpMatch(host, "66.22.210.18/31")||
      shExpMatch(host, "66.22.210.23")||
      shExpMatch(host, "66.22.210.25")||
      shExpMatch(host, "66.22.210.26/31")||
      shExpMatch(host, "66.22.210.28/30")||
      shExpMatch(host, "66.22.210.32/28")||
      shExpMatch(host, "66.22.210.48/29")||
      shExpMatch(host, "66.22.210.56/30")||
      shExpMatch(host, "66.22.210.60/31")||
      shExpMatch(host, "66.22.210.62")||
      shExpMatch(host, "66.22.212.4/30")||
      shExpMatch(host, "66.22.212.8/29")||
      shExpMatch(host, "66.22.212.16/28")||
      shExpMatch(host, "66.22.212.32/27")||
      shExpMatch(host, "66.22.212.64/28")||
      shExpMatch(host, "66.22.212.80/30")||
      shExpMatch(host, "66.22.212.84/31")||
      shExpMatch(host, "66.22.212.86")||
      shExpMatch(host, "66.22.212.129")||
      shExpMatch(host, "66.22.212.130/31")||
      shExpMatch(host, "66.22.212.132/31")||
      shExpMatch(host, "66.22.212.144/30")||
      shExpMatch(host, "66.22.212.148/31")||
      shExpMatch(host, "66.22.212.150")||
      shExpMatch(host, "66.22.212.158/31")||
      shExpMatch(host, "66.22.214.4/30")||
      shExpMatch(host, "66.22.214.8/29")||
      shExpMatch(host, "66.22.214.16/29")||
      shExpMatch(host, "66.22.214.24/31")||
      shExpMatch(host, "66.22.214.27")||
      shExpMatch(host, "66.22.214.28/30")||
      shExpMatch(host, "66.22.214.32")||
      shExpMatch(host, "66.22.214.34/31")||
      shExpMatch(host, "66.22.214.36/30")||
      shExpMatch(host, "66.22.214.40/29")||
      shExpMatch(host, "66.22.214.48/28")||
      shExpMatch(host, "66.22.214.64/27")||
      shExpMatch(host, "66.22.214.96/30")||
      shExpMatch(host, "66.22.214.100")||
      shExpMatch(host, "66.22.214.130/31")||
      shExpMatch(host, "66.22.214.132/30")||
      shExpMatch(host, "66.22.214.136/30")||
      shExpMatch(host, "66.22.214.140/31")||
      shExpMatch(host, "66.22.214.150/31")||
      shExpMatch(host, "66.22.214.152/30")||
      shExpMatch(host, "66.22.214.156")||
      shExpMatch(host, "66.22.216.9")||
      shExpMatch(host, "66.22.216.10/31")||
      shExpMatch(host, "66.22.216.12/30")||
      shExpMatch(host, "66.22.216.17")||
      shExpMatch(host, "66.22.216.18")||
      shExpMatch(host, "66.22.216.20/30")||
      shExpMatch(host, "66.22.216.24/29")||
      shExpMatch(host, "66.22.216.32")||
      shExpMatch(host, "66.22.216.34")||
      shExpMatch(host, "66.22.216.36/30")||
      shExpMatch(host, "66.22.216.41")||
      shExpMatch(host, "66.22.216.42")||
      shExpMatch(host, "66.22.216.44/30")||
      shExpMatch(host, "66.22.216.50/31")||
      shExpMatch(host, "66.22.216.122")||
      shExpMatch(host, "66.22.216.124/31")||
      shExpMatch(host, "66.22.216.126")||
      shExpMatch(host, "66.22.216.128/30")||
      shExpMatch(host, "66.22.216.132")||
      shExpMatch(host, "66.22.216.139")||
      shExpMatch(host, "66.22.216.141")||
      shExpMatch(host, "66.22.216.142/31")||
      shExpMatch(host, "66.22.216.144")||
      shExpMatch(host, "66.22.216.146/31")||
      shExpMatch(host, "66.22.216.148/31")||
      shExpMatch(host, "66.22.216.150")||
      shExpMatch(host, "66.22.216.154/31")||
      shExpMatch(host, "66.22.216.156/31")||
      shExpMatch(host, "66.22.216.159")||
      shExpMatch(host, "66.22.216.178/31")||
      shExpMatch(host, "66.22.216.180")||
      shExpMatch(host, "66.22.216.182")||
      shExpMatch(host, "66.22.216.184")||
      shExpMatch(host, "66.22.216.186/31")||
      shExpMatch(host, "66.22.216.188/30")||
      shExpMatch(host, "66.22.216.193")||
      shExpMatch(host, "66.22.216.194/31")||
      shExpMatch(host, "66.22.216.200/31")||
      shExpMatch(host, "66.22.216.205")||
      shExpMatch(host, "66.22.216.206/31")||
      shExpMatch(host, "66.22.216.209")||
      shExpMatch(host, "66.22.216.210/31")||
      shExpMatch(host, "66.22.216.212/31")||
      shExpMatch(host, "66.22.217.10/31")||
      shExpMatch(host, "66.22.217.13")||
      shExpMatch(host, "66.22.217.14/31")||
      shExpMatch(host, "66.22.217.16")||
      shExpMatch(host, "66.22.217.18/31")||
      shExpMatch(host, "66.22.217.20/31")||
      shExpMatch(host, "66.22.217.23")||
      shExpMatch(host, "66.22.217.24/30")||
      shExpMatch(host, "66.22.217.28/31")||
      shExpMatch(host, "66.22.217.31")||
      shExpMatch(host, "66.22.217.33")||
      shExpMatch(host, "66.22.217.34/31")||
      shExpMatch(host, "66.22.217.36/30")||
      shExpMatch(host, "66.22.217.40/31")||
      shExpMatch(host, "66.22.217.43")||
      shExpMatch(host, "66.22.217.45")||
      shExpMatch(host, "66.22.217.46/31")||
      shExpMatch(host, "66.22.217.48/31")||
      shExpMatch(host, "66.22.217.51")||
      shExpMatch(host, "66.22.217.52/31")||
      shExpMatch(host, "66.22.217.54")||
      shExpMatch(host, "66.22.217.56/31")||
      shExpMatch(host, "66.22.217.108")||
      shExpMatch(host, "66.22.217.110/31")||
      shExpMatch(host, "66.22.217.112/30")||
      shExpMatch(host, "66.22.217.116/31")||
      shExpMatch(host, "66.22.217.128")||
      shExpMatch(host, "66.22.217.133")||
      shExpMatch(host, "66.22.217.134/31")||
      shExpMatch(host, "66.22.217.136")||
      shExpMatch(host, "66.22.217.145")||
      shExpMatch(host, "66.22.217.147")||
      shExpMatch(host, "66.22.217.149")||
      shExpMatch(host, "66.22.217.150/31")||
      shExpMatch(host, "66.22.217.167")||
      shExpMatch(host, "66.22.217.168/30")||
      shExpMatch(host, "66.22.217.183")||
      shExpMatch(host, "66.22.217.184/29")||
      shExpMatch(host, "66.22.217.192/30")||
      shExpMatch(host, "66.22.217.196")||
      shExpMatch(host, "66.22.217.198/31")||
      shExpMatch(host, "66.22.217.200/30")||
      shExpMatch(host, "66.22.220.4")||
      shExpMatch(host, "66.22.220.12/30")||
      shExpMatch(host, "66.22.220.16/30")||
      shExpMatch(host, "66.22.220.20/31")||
      shExpMatch(host, "66.22.220.22")||
      shExpMatch(host, "66.22.220.24/29")||
      shExpMatch(host, "66.22.220.32/30")||
      shExpMatch(host, "66.22.220.36/31")||
      shExpMatch(host, "66.22.220.39")||
      shExpMatch(host, "66.22.220.40/30")||
      shExpMatch(host, "66.22.220.44/31")||
      shExpMatch(host, "66.22.220.47")||
      shExpMatch(host, "66.22.220.48/29")||
      shExpMatch(host, "66.22.220.56/30")||
      shExpMatch(host, "66.22.220.64/28")||
      shExpMatch(host, "66.22.220.80/31")||
      shExpMatch(host, "66.22.220.82")||
      shExpMatch(host, "66.22.220.85")||
      shExpMatch(host, "66.22.220.86/31")||
      shExpMatch(host, "66.22.220.91")||
      shExpMatch(host, "66.22.220.93")||
      shExpMatch(host, "66.22.220.94/31")||
      shExpMatch(host, "66.22.220.96/28")||
      shExpMatch(host, "66.22.220.112/30")||
      shExpMatch(host, "66.22.221.4")||
      shExpMatch(host, "66.22.221.19")||
      shExpMatch(host, "66.22.221.20/30")||
      shExpMatch(host, "66.22.221.24/29")||
      shExpMatch(host, "66.22.221.32")||
      shExpMatch(host, "66.22.221.34/31")||
      shExpMatch(host, "66.22.221.36")||
      shExpMatch(host, "66.22.221.38/31")||
      shExpMatch(host, "66.22.221.40/29")||
      shExpMatch(host, "66.22.221.49")||
      shExpMatch(host, "66.22.221.50/31")||
      shExpMatch(host, "66.22.221.52/30")||
      shExpMatch(host, "66.22.221.56/29")||
      shExpMatch(host, "66.22.221.64/28")||
      shExpMatch(host, "66.22.221.80")||
      shExpMatch(host, "66.22.221.92/30")||
      shExpMatch(host, "66.22.221.96/31")||
      shExpMatch(host, "66.22.221.98")||
      shExpMatch(host, "66.22.221.108")||
      shExpMatch(host, "66.22.221.110/31")||
      shExpMatch(host, "66.22.221.112")||
      shExpMatch(host, "66.22.221.163")||
      shExpMatch(host, "66.22.221.164")||
      shExpMatch(host, "66.22.222.4/30")||
      shExpMatch(host, "66.22.222.8/29")||
      shExpMatch(host, "66.22.222.16/31")||
      shExpMatch(host, "66.22.222.113")||
      shExpMatch(host, "66.22.222.114/31")||
      shExpMatch(host, "66.22.222.116/30")||
      shExpMatch(host, "66.22.222.120/29")||
      shExpMatch(host, "66.22.222.128/29")||
      shExpMatch(host, "66.22.222.136/31")||
      shExpMatch(host, "66.22.222.138")||
      shExpMatch(host, "66.22.222.143")||
      shExpMatch(host, "66.22.223.4/30")||
      shExpMatch(host, "66.22.223.8/29")||
      shExpMatch(host, "66.22.223.16/31")||
      shExpMatch(host, "66.22.223.18")||
      shExpMatch(host, "66.22.223.20/30")||
      shExpMatch(host, "66.22.223.24/29")||
      shExpMatch(host, "66.22.223.32/31")||
      shExpMatch(host, "66.22.223.107")||
      shExpMatch(host, "66.22.223.108/30")||
      shExpMatch(host, "66.22.223.112/28")||
      shExpMatch(host, "66.22.223.128/30")||
      shExpMatch(host, "66.22.223.137")||
      shExpMatch(host, "66.22.224.4/30")||
      shExpMatch(host, "66.22.224.8/29")||
      shExpMatch(host, "66.22.224.16/29")||
      shExpMatch(host, "66.22.224.24")||
      shExpMatch(host, "66.22.224.27")||
      shExpMatch(host, "66.22.224.28")||
      shExpMatch(host, "66.22.224.30/31")||
      shExpMatch(host, "66.22.224.32/29")||
      shExpMatch(host, "66.22.224.40/31")||
      shExpMatch(host, "66.22.224.44/31")||
      shExpMatch(host, "66.22.224.46")||
      shExpMatch(host, "66.22.224.48/30")||
      shExpMatch(host, "66.22.224.53")||
      shExpMatch(host, "66.22.224.54")||
      shExpMatch(host, "66.22.224.64/29")||
      shExpMatch(host, "66.22.225.4/30")||
      shExpMatch(host, "66.22.225.8/29")||
      shExpMatch(host, "66.22.225.16/28")||
      shExpMatch(host, "66.22.225.32")||
      shExpMatch(host, "66.22.225.34/31")||
      shExpMatch(host, "66.22.225.36/30")||
      shExpMatch(host, "66.22.225.40/29")||
      shExpMatch(host, "66.22.225.48/31")||
      shExpMatch(host, "66.22.225.52/31")||
      shExpMatch(host, "66.22.225.54")||
      shExpMatch(host, "66.22.225.56")||
      shExpMatch(host, "66.22.225.58/31")||
      shExpMatch(host, "66.22.225.61")||
      shExpMatch(host, "66.22.226.4/30")||
      shExpMatch(host, "66.22.226.8/29")||
      shExpMatch(host, "66.22.226.16")||
      shExpMatch(host, "66.22.226.18/31")||
      shExpMatch(host, "66.22.226.20/30")||
      shExpMatch(host, "66.22.226.24/29")||
      shExpMatch(host, "66.22.226.32/27")||
      shExpMatch(host, "66.22.226.64/27")||
      shExpMatch(host, "66.22.226.96/30")||
      shExpMatch(host, "66.22.226.100")||
      shExpMatch(host, "66.22.226.107")||
      shExpMatch(host, "66.22.226.108/30")||
      shExpMatch(host, "66.22.226.112/28")||
      shExpMatch(host, "66.22.227.4/30")||
      shExpMatch(host, "66.22.227.8/31")||
      shExpMatch(host, "66.22.227.11")||
      shExpMatch(host, "66.22.227.12/30")||
      shExpMatch(host, "66.22.227.16/30")||
      shExpMatch(host, "66.22.227.20/31")||
      shExpMatch(host, "66.22.227.26")||
      shExpMatch(host, "66.22.227.29")||
      shExpMatch(host, "66.22.227.30/31")||
      shExpMatch(host, "66.22.227.32/27")||
      shExpMatch(host, "66.22.227.64/29")||
      shExpMatch(host, "66.22.227.73")||
      shExpMatch(host, "66.22.227.74/31")||
      shExpMatch(host, "66.22.227.76/30")||
      shExpMatch(host, "66.22.227.80/28")||
      shExpMatch(host, "66.22.227.96/28")||
      shExpMatch(host, "66.22.227.112/29")||
      shExpMatch(host, "66.22.227.120/31")||
      shExpMatch(host, "66.22.228.7")||
      shExpMatch(host, "66.22.228.29")||
      shExpMatch(host, "66.22.228.30")||
      shExpMatch(host, "66.22.228.38")||
      shExpMatch(host, "66.22.228.45")||
      shExpMatch(host, "66.22.228.55")||
      shExpMatch(host, "66.22.228.56")||
      shExpMatch(host, "66.22.228.67")||
      shExpMatch(host, "66.22.228.71")||
      shExpMatch(host, "66.22.228.80/31")||
      shExpMatch(host, "66.22.228.83")||
      shExpMatch(host, "66.22.228.84/31")||
      shExpMatch(host, "66.22.228.89")||
      shExpMatch(host, "66.22.228.90")||
      shExpMatch(host, "66.22.228.96")||
      shExpMatch(host, "66.22.228.101")||
      shExpMatch(host, "66.22.228.103")||
      shExpMatch(host, "66.22.228.108")||
      shExpMatch(host, "66.22.228.119")||
      shExpMatch(host, "66.22.228.131")||
      shExpMatch(host, "66.22.228.136")||
      shExpMatch(host, "66.22.228.141")||
      shExpMatch(host, "66.22.228.147")||
      shExpMatch(host, "66.22.228.148")||
      shExpMatch(host, "66.22.228.153")||
      shExpMatch(host, "66.22.228.163")||
      shExpMatch(host, "66.22.228.165")||
      shExpMatch(host, "66.22.228.166")||
      shExpMatch(host, "66.22.228.170")||
      shExpMatch(host, "66.22.228.175")||
      shExpMatch(host, "66.22.228.176")||
      shExpMatch(host, "66.22.228.178")||
      shExpMatch(host, "66.22.228.183")||
      shExpMatch(host, "66.22.228.188")||
      shExpMatch(host, "66.22.228.190")||
      shExpMatch(host, "66.22.228.198")||
      shExpMatch(host, "66.22.228.200")||
      shExpMatch(host, "66.22.228.202")||
      shExpMatch(host, "66.22.228.208")||
      shExpMatch(host, "66.22.228.211")||
      shExpMatch(host, "66.22.228.212/31")||
      shExpMatch(host, "66.22.228.215")||
      shExpMatch(host, "66.22.228.217")||
      shExpMatch(host, "66.22.228.220")||
      shExpMatch(host, "66.22.228.223")||
      shExpMatch(host, "66.22.228.229")||
      shExpMatch(host, "66.22.228.230")||
      shExpMatch(host, "66.22.228.244/31")||
      shExpMatch(host, "66.22.228.248")||
      shExpMatch(host, "66.22.228.251")||
      shExpMatch(host, "66.22.228.253")||
      shExpMatch(host, "66.22.228.254")||
      shExpMatch(host, "66.22.229.2/31")||
      shExpMatch(host, "66.22.229.7")||
      shExpMatch(host, "66.22.229.9")||
      shExpMatch(host, "66.22.229.11")||
      shExpMatch(host, "66.22.229.27")||
      shExpMatch(host, "66.22.229.28")||
      shExpMatch(host, "66.22.229.35")||
      shExpMatch(host, "66.22.229.37")||
      shExpMatch(host, "66.22.229.41")||
      shExpMatch(host, "66.22.229.42")||
      shExpMatch(host, "66.22.229.46")||
      shExpMatch(host, "66.22.229.48/31")||
      shExpMatch(host, "66.22.229.51")||
      shExpMatch(host, "66.22.229.54/31")||
      shExpMatch(host, "66.22.229.58")||
      shExpMatch(host, "66.22.229.61")||
      shExpMatch(host, "66.22.229.66")||
      shExpMatch(host, "66.22.229.68")||
      shExpMatch(host, "66.22.229.73")||
      shExpMatch(host, "66.22.229.74")||
      shExpMatch(host, "66.22.229.90")||
      shExpMatch(host, "66.22.229.93")||
      shExpMatch(host, "66.22.229.98/31")||
      shExpMatch(host, "66.22.229.103")||
      shExpMatch(host, "66.22.229.104")||
      shExpMatch(host, "66.22.229.106")||
      shExpMatch(host, "66.22.229.111")||
      shExpMatch(host, "66.22.229.115")||
      shExpMatch(host, "66.22.229.117")||
      shExpMatch(host, "66.22.229.127")||
      shExpMatch(host, "66.22.229.134")||
      shExpMatch(host, "66.22.229.142")||
      shExpMatch(host, "66.22.229.147")||
      shExpMatch(host, "66.22.229.156")||
      shExpMatch(host, "66.22.229.158/31")||
      shExpMatch(host, "66.22.229.161")||
      shExpMatch(host, "66.22.229.162")||
      shExpMatch(host, "66.22.229.164/31")||
      shExpMatch(host, "66.22.229.167")||
      shExpMatch(host, "66.22.229.168")||
      shExpMatch(host, "66.22.229.173")||
      shExpMatch(host, "66.22.229.177")||
      shExpMatch(host, "66.22.229.181")||
      shExpMatch(host, "66.22.229.182")||
      shExpMatch(host, "66.22.229.185")||
      shExpMatch(host, "66.22.229.193")||
      shExpMatch(host, "66.22.229.197")||
      shExpMatch(host, "66.22.229.199")||
      shExpMatch(host, "66.22.229.201")||
      shExpMatch(host, "66.22.229.204/30")||
      shExpMatch(host, "66.22.229.212/30")||
      shExpMatch(host, "66.22.229.216")||
      shExpMatch(host, "66.22.229.220/31")||
      shExpMatch(host, "66.22.229.224")||
      shExpMatch(host, "66.22.229.228")||
      shExpMatch(host, "66.22.229.230/31")||
      shExpMatch(host, "66.22.229.235")||
      shExpMatch(host, "66.22.229.241")||
      shExpMatch(host, "66.22.229.250")||
      shExpMatch(host, "66.22.229.252")||
      shExpMatch(host, "66.22.230.4/30")||
      shExpMatch(host, "66.22.230.8/31")||
      shExpMatch(host, "66.22.230.11")||
      shExpMatch(host, "66.22.230.12/30")||
      shExpMatch(host, "66.22.230.17")||
      shExpMatch(host, "66.22.230.18/31")||
      shExpMatch(host, "66.22.230.20/30")||
      shExpMatch(host, "66.22.230.24/29")||
      shExpMatch(host, "66.22.230.32/28")||
      shExpMatch(host, "66.22.230.48/30")||
      shExpMatch(host, "66.22.230.52/31")||
      shExpMatch(host, "66.22.230.132/30")||
      shExpMatch(host, "66.22.230.136/29")||
      shExpMatch(host, "66.22.230.144/28")||
      shExpMatch(host, "66.22.230.160/29")||
      shExpMatch(host, "66.22.230.168/30")||
      shExpMatch(host, "66.22.231.4/30")||
      shExpMatch(host, "66.22.231.8/30")||
      shExpMatch(host, "66.22.231.12")||
      shExpMatch(host, "66.22.231.14/31")||
      shExpMatch(host, "66.22.231.16/28")||
      shExpMatch(host, "66.22.231.32/29")||
      shExpMatch(host, "66.22.231.41")||
      shExpMatch(host, "66.22.231.42/31")||
      shExpMatch(host, "66.22.231.44/30")||
      shExpMatch(host, "66.22.231.48/28")||
      shExpMatch(host, "66.22.231.64/27")||
      shExpMatch(host, "66.22.231.96/28")||
      shExpMatch(host, "66.22.231.112/30")||
      shExpMatch(host, "66.22.231.116/31")||
      shExpMatch(host, "66.22.231.132/30")||
      shExpMatch(host, "66.22.231.136/29")||
      shExpMatch(host, "66.22.231.144/28")||
      shExpMatch(host, "66.22.231.160/27")||
      shExpMatch(host, "66.22.231.192/27")||
      shExpMatch(host, "66.22.231.224/31")||
      shExpMatch(host, "66.22.231.226")||
      shExpMatch(host, "66.22.231.229")||
      shExpMatch(host, "66.22.231.234/31")||
      shExpMatch(host, "66.22.231.236/30")||
      shExpMatch(host, "66.22.231.240/30")||
      shExpMatch(host, "66.22.231.244")||
      shExpMatch(host, "66.22.233.7")||
      shExpMatch(host, "66.22.233.18")||
      shExpMatch(host, "66.22.233.22")||
      shExpMatch(host, "66.22.233.25")||
      shExpMatch(host, "66.22.233.26")||
      shExpMatch(host, "66.22.233.29")||
      shExpMatch(host, "66.22.233.32")||
      shExpMatch(host, "66.22.233.41")||
      shExpMatch(host, "66.22.233.48")||
      shExpMatch(host, "66.22.233.58")||
      shExpMatch(host, "66.22.233.144/31")||
      shExpMatch(host, "66.22.233.152/31")||
      shExpMatch(host, "66.22.233.154")||
      shExpMatch(host, "66.22.233.165")||
      shExpMatch(host, "66.22.233.166")||
      shExpMatch(host, "66.22.233.184")||
      shExpMatch(host, "66.22.233.186")||
      shExpMatch(host, "66.22.233.188/31")||
      shExpMatch(host, "66.22.233.190")||
      shExpMatch(host, "66.22.234.4/30")||
      shExpMatch(host, "66.22.234.8/29")||
      shExpMatch(host, "66.22.234.16/29")||
      shExpMatch(host, "66.22.234.24/30")||
      shExpMatch(host, "66.22.234.28")||
      shExpMatch(host, "66.22.234.132/30")||
      shExpMatch(host, "66.22.234.136/29")||
      shExpMatch(host, "66.22.234.144/29")||
      shExpMatch(host, "66.22.234.152/30")||
      shExpMatch(host, "66.22.234.156/31")||
      shExpMatch(host, "66.22.234.158")||
      shExpMatch(host, "66.22.236.4/31")||
      shExpMatch(host, "66.22.236.7")||
      shExpMatch(host, "66.22.236.9")||
      shExpMatch(host, "66.22.236.11")||
      shExpMatch(host, "66.22.236.14")||
      shExpMatch(host, "66.22.236.17")||
      shExpMatch(host, "66.22.236.18")||
      shExpMatch(host, "66.22.236.20")||
      shExpMatch(host, "66.22.236.22/31")||
      shExpMatch(host, "66.22.236.25")||
      shExpMatch(host, "66.22.236.26")||
      shExpMatch(host, "66.22.236.28/31")||
      shExpMatch(host, "66.22.236.31")||
      shExpMatch(host, "66.22.236.32/31")||
      shExpMatch(host, "66.22.236.34")||
      shExpMatch(host, "66.22.236.36")||
      shExpMatch(host, "66.22.236.38/31")||
      shExpMatch(host, "66.22.236.132/30")||
      shExpMatch(host, "66.22.236.136/31")||
      shExpMatch(host, "66.22.236.139")||
      shExpMatch(host, "66.22.236.141")||
      shExpMatch(host, "66.22.236.142/31")||
      shExpMatch(host, "66.22.236.144/29")||
      shExpMatch(host, "66.22.236.153")||
      shExpMatch(host, "66.22.236.155")||
      shExpMatch(host, "66.22.236.158")||
      shExpMatch(host, "66.22.236.161")||
      shExpMatch(host, "66.22.236.162")||
      shExpMatch(host, "66.22.236.164")||
      shExpMatch(host, "66.22.236.167")||
      shExpMatch(host, "66.22.237.4/30")||
      shExpMatch(host, "66.22.237.8/29")||
      shExpMatch(host, "66.22.237.16/29")||
      shExpMatch(host, "66.22.237.24/30")||
      shExpMatch(host, "66.22.237.36/30")||
      shExpMatch(host, "66.22.237.40/30")||
      shExpMatch(host, "66.22.237.44/31")||
      shExpMatch(host, "66.22.237.132/30")||
      shExpMatch(host, "66.22.237.136/29")||
      shExpMatch(host, "66.22.237.144/28")||
      shExpMatch(host, "66.22.237.160/30")||
      shExpMatch(host, "66.22.237.164/31")||
      shExpMatch(host, "66.22.238.4/30")||
      shExpMatch(host, "66.22.238.8/31")||
      shExpMatch(host, "66.22.238.10")||
      shExpMatch(host, "66.22.238.12")||
      shExpMatch(host, "66.22.238.15")||
      shExpMatch(host, "66.22.238.16")||
      shExpMatch(host, "66.22.238.18/31")||
      shExpMatch(host, "66.22.238.21")||
      shExpMatch(host, "66.22.238.22/31")||
      shExpMatch(host, "66.22.238.24/31")||
      shExpMatch(host, "66.22.238.35")||
      shExpMatch(host, "66.22.238.36")||
      shExpMatch(host, "66.22.238.39")||
      shExpMatch(host, "66.22.238.40")||
      shExpMatch(host, "66.22.238.132")||
      shExpMatch(host, "66.22.238.134/31")||
      shExpMatch(host, "66.22.238.136/31")||
      shExpMatch(host, "66.22.238.140/30")||
      shExpMatch(host, "66.22.238.146/31")||
      shExpMatch(host, "66.22.238.149")||
      shExpMatch(host, "66.22.238.150/31")||
      shExpMatch(host, "66.22.238.152/31")||
      shExpMatch(host, "66.22.238.157")||
      shExpMatch(host, "66.22.238.158/31")||
      shExpMatch(host, "66.22.238.160/31")||
      shExpMatch(host, "66.22.238.162")||
      shExpMatch(host, "66.22.240.4/31")||
      shExpMatch(host, "66.22.240.6")||
      shExpMatch(host, "66.22.240.8/30")||
      shExpMatch(host, "66.22.240.12")||
      shExpMatch(host, "66.22.240.18")||
      shExpMatch(host, "66.22.240.26")||
      shExpMatch(host, "66.22.240.132/30")||
      shExpMatch(host, "66.22.240.136")||
      shExpMatch(host, "66.22.241.5")||
      shExpMatch(host, "66.22.241.8")||
      shExpMatch(host, "66.22.241.11")||
      shExpMatch(host, "66.22.241.12")||
      shExpMatch(host, "66.22.241.14/31")||
      shExpMatch(host, "66.22.241.16/31")||
      shExpMatch(host, "66.22.241.20")||
      shExpMatch(host, "66.22.241.23")||
      shExpMatch(host, "66.22.241.25")||
      shExpMatch(host, "66.22.241.27")||
      shExpMatch(host, "66.22.241.33")||
      shExpMatch(host, "66.22.241.34/31")||
      shExpMatch(host, "66.22.241.36/30")||
      shExpMatch(host, "66.22.241.132/30")||
      shExpMatch(host, "66.22.241.136")||
      shExpMatch(host, "66.22.241.138/31")||
      shExpMatch(host, "66.22.241.141")||
      shExpMatch(host, "66.22.241.142")||
      shExpMatch(host, "66.22.241.146")||
      shExpMatch(host, "66.22.241.148/31")||
      shExpMatch(host, "66.22.241.152")||
      shExpMatch(host, "66.22.241.154")||
      shExpMatch(host, "66.22.241.156")||
      shExpMatch(host, "66.22.241.158/31")||
      shExpMatch(host, "66.22.241.160")||
      shExpMatch(host, "66.22.241.162")||
      shExpMatch(host, "66.22.241.166")||
      shExpMatch(host, "66.22.242.5")||
      shExpMatch(host, "66.22.242.6/31")||
      shExpMatch(host, "66.22.242.8/31")||
      shExpMatch(host, "66.22.242.10")||
      shExpMatch(host, "66.22.242.132/30")||
      shExpMatch(host, "66.22.242.136/31")||
      shExpMatch(host, "66.22.243.4/30")||
      shExpMatch(host, "66.22.243.8/31")||
      shExpMatch(host, "66.22.243.10")||
      shExpMatch(host, "66.22.243.12/30")||
      shExpMatch(host, "66.22.243.16/29")||
      shExpMatch(host, "66.22.243.24")||
      shExpMatch(host, "66.22.243.27")||
      shExpMatch(host, "66.22.243.28/30")||
      shExpMatch(host, "66.22.243.32/29")||
      shExpMatch(host, "66.22.243.40/30")||
      shExpMatch(host, "66.22.243.44/31")||
      shExpMatch(host, "66.22.243.46")||
      shExpMatch(host, "66.22.243.48/29")||
      shExpMatch(host, "66.22.243.56/30")||
      shExpMatch(host, "66.22.243.60/31")||
      shExpMatch(host, "66.22.243.62")||
      shExpMatch(host, "66.22.243.64")||
      shExpMatch(host, "66.22.243.132/30")||
      shExpMatch(host, "66.22.243.137")||
      shExpMatch(host, "66.22.243.138/31")||
      shExpMatch(host, "66.22.243.141")||
      shExpMatch(host, "66.22.243.142/31")||
      shExpMatch(host, "66.22.243.144/28")||
      shExpMatch(host, "66.22.243.160/28")||
      shExpMatch(host, "66.22.243.176/29")||
      shExpMatch(host, "66.22.243.184/30")||
      shExpMatch(host, "66.22.243.188")||
      shExpMatch(host, "66.22.243.190/31")||
      shExpMatch(host, "66.22.243.192/30")||
      shExpMatch(host, "66.22.244.4/30")||
      shExpMatch(host, "66.22.244.8/29")||
      shExpMatch(host, "66.22.244.16/29")||
      shExpMatch(host, "66.22.244.25")||
      shExpMatch(host, "66.22.244.26/31")||
      shExpMatch(host, "66.22.244.28/30")||
      shExpMatch(host, "66.22.244.32/31")||
      shExpMatch(host, "66.22.244.35")||
      shExpMatch(host, "66.22.244.36/30")||
      shExpMatch(host, "66.22.244.40/30")||
      shExpMatch(host, "66.22.244.132/30")||
      shExpMatch(host, "66.22.244.136/29")||
      shExpMatch(host, "66.22.244.144/30")||
      shExpMatch(host, "66.22.244.151")||
      shExpMatch(host, "66.22.244.152/29")||
      shExpMatch(host, "66.22.244.160/31")||
      shExpMatch(host, "66.22.244.170/31")||
      shExpMatch(host, "66.22.245.4/30")||
      shExpMatch(host, "66.22.245.8")||
      shExpMatch(host, "66.22.245.15")||
      shExpMatch(host, "66.22.245.18")||
      shExpMatch(host, "66.22.245.33")||
      shExpMatch(host, "66.22.245.34/31")||
      shExpMatch(host, "66.22.245.57")||
      shExpMatch(host, "66.22.245.58/31")||
      shExpMatch(host, "66.22.245.132/31")||
      shExpMatch(host, "66.22.245.134")||
      shExpMatch(host, "66.22.245.137")||
      shExpMatch(host, "66.22.245.138")||
      shExpMatch(host, "66.22.245.147")||
      shExpMatch(host, "66.22.245.151")||
      shExpMatch(host, "66.22.245.152/31")||
      shExpMatch(host, "66.22.245.154")||
      shExpMatch(host, "66.22.245.160")||
      shExpMatch(host, "66.22.245.163")||
      shExpMatch(host, "66.22.245.174/31")||
      shExpMatch(host, "66.22.245.176/31")||
      shExpMatch(host, "66.22.245.178")||
      shExpMatch(host, "66.22.248.4")||
      shExpMatch(host, "66.22.248.6/31")||
      shExpMatch(host, "66.22.248.8/31")||
      shExpMatch(host, "66.22.248.10")||
      shExpMatch(host, "66.22.248.15")||
      shExpMatch(host, "66.22.248.16/28")||
      shExpMatch(host, "66.22.248.32/29")||
      shExpMatch(host, "66.22.248.41")||
      shExpMatch(host, "66.22.248.42/31")||
      shExpMatch(host, "66.22.248.44/30")||
      shExpMatch(host, "66.22.248.48/28")||
      shExpMatch(host, "66.22.248.64/29")||
      shExpMatch(host, "66.22.248.72/30")||
      shExpMatch(host, "66.22.248.77")||
      shExpMatch(host, "66.22.248.83")||
      shExpMatch(host, "66.22.248.84")||
      shExpMatch(host, "66.22.248.87")||
      shExpMatch(host, "66.22.248.88")||
      shExpMatch(host, "66.22.248.91")||
      shExpMatch(host, "66.22.248.92/30")||
      shExpMatch(host, "66.22.248.96/30")||
      shExpMatch(host, "66.22.248.100")||
      shExpMatch(host, "66.22.248.110")||
      shExpMatch(host, "66.22.248.112")||
      shExpMatch(host, "66.22.248.114")||
      shExpMatch(host, "66.22.248.132/31")||
      shExpMatch(host, "66.22.248.134")||
      shExpMatch(host, "66.22.248.136/29")||
      shExpMatch(host, "66.22.248.144/29")||
      shExpMatch(host, "66.22.248.152/30")||
      shExpMatch(host, "66.22.248.156/31")||
      shExpMatch(host, "66.22.248.158")||
      shExpMatch(host, "66.22.248.160/29")||
      shExpMatch(host, "66.22.248.169")||
      shExpMatch(host, "66.22.248.170")||
      shExpMatch(host, "66.22.248.172/30")||
      shExpMatch(host, "66.22.248.176/28")||
      shExpMatch(host, "66.22.248.192/28")||
      shExpMatch(host, "66.22.248.209")||
      shExpMatch(host, "66.22.248.210/31")||
      shExpMatch(host, "66.22.248.212/31")||
      shExpMatch(host, "74.125.131.207")||
      shExpMatch(host, "74.125.205.207")||
      shExpMatch(host, "104.17.51.93")||
      shExpMatch(host, "104.17.117.93")||
      shExpMatch(host, "104.18.4.161")||
      shExpMatch(host, "104.18.5.161")||
      shExpMatch(host, "104.18.8.105")||
      shExpMatch(host, "104.18.9.105")||
      shExpMatch(host, "104.18.30.128")||
      shExpMatch(host, "104.18.31.128")||
      shExpMatch(host, "104.21.2.204")||
      shExpMatch(host, "104.21.25.51")||
      shExpMatch(host, "104.21.40.151")||
      shExpMatch(host, "104.21.59.128")||
      shExpMatch(host, "104.21.72.221")||
      shExpMatch(host, "104.21.82.160")||
      shExpMatch(host, "108.177.14.207")||
      shExpMatch(host, "138.128.140.244")||
      shExpMatch(host, "138.128.140.246/31")||
      shExpMatch(host, "138.128.140.248/31")||
      shExpMatch(host, "138.128.140.251")||
      shExpMatch(host, "138.128.140.252/31")||
      shExpMatch(host, "142.250.150.207")||
      shExpMatch(host, "142.251.1.207")||
      shExpMatch(host, "162.159.128.232/31")||
      shExpMatch(host, "162.159.128.235")||
      shExpMatch(host, "162.159.129.232/31")||
      shExpMatch(host, "162.159.129.235")||
      shExpMatch(host, "162.159.130.232/30")||
      shExpMatch(host, "162.159.133.232/31")||
      shExpMatch(host, "162.159.133.234")||
      shExpMatch(host, "162.159.134.232/31")||
      shExpMatch(host, "162.159.134.234")||
      shExpMatch(host, "162.159.135.232/31")||
      shExpMatch(host, "162.159.135.234")||
      shExpMatch(host, "162.159.136.232")||
      shExpMatch(host, "162.159.136.234")||
      shExpMatch(host, "162.159.137.232")||
      shExpMatch(host, "162.159.137.234")||
      shExpMatch(host, "162.159.138.232")||
      shExpMatch(host, "162.159.138.234")||
      shExpMatch(host, "172.65.202.19")||
      shExpMatch(host, "172.66.41.34")||
      shExpMatch(host, "172.66.42.222")||
      shExpMatch(host, "172.67.152.229")||
      shExpMatch(host, "172.67.152.236")||
      shExpMatch(host, "172.67.155.163")||
      shExpMatch(host, "172.67.159.89")||
      shExpMatch(host, "172.67.177.131")||
      shExpMatch(host, "172.67.222.182")||
      shExpMatch(host, "173.194.73.207")||
      shExpMatch(host, "173.194.220.207")||
      shExpMatch(host, "173.194.221.207")||
      shExpMatch(host, "173.194.222.207")||
      shExpMatch(host, "188.114.96.2")||
      shExpMatch(host, "188.114.97.2")||
      shExpMatch(host, "188.114.98.224")||
      shExpMatch(host, "188.114.99.224")||
      shExpMatch(host, "204.11.56.48")||
      shExpMatch(host, "209.85.233.207"))
   {
      return "SOCKS5 127.0.0.1:9050; DIRECT";
   }

   return "DIRECT";
}
